2017-04-06  Carl Hetherington  <cth@carlh.net>

	* Version 2.10.5 released.

2017-04-06  Carl Hetherington  <cth@carlh.net>

	* Version 2.10.4 released.

2017-04-05  Carl Hetherington  <cth@carlh.net>

	* Version 2.10.3 released.

2017-04-05  Carl Hetherington  <cth@carlh.net>

	* Fix single-sample dropouts in audio in some circumstances.

2016-12-11  Carl Hetherington  <cth@carlh.net>

	* Version 2.10.2 released.

2016-11-23  Carl Hetherington  <cth@carlh.net>

	* Fix crash on pressing enter in a crop control on Windows (#1009).

2016-11-16  Carl Hetherington  <cth@carlh.net>

	* Version 2.10.1 released.

2016-11-16  Carl Hetherington  <cth@carlh.net>

	* Fix various crahes in films with missing DCP content.

2016-11-15  Carl Hetherington  <cth@carlh.net>

	* Fix error on using the CPL selection menu on OS X.

	* Version 2.10.0 released.

2016-11-14  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.41 released.

2016-11-14  Carl Hetherington  <cth@carlh.net>

	* Updated fr_FR translation from Thierry Journet.

2016-11-12  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.40 released.

2016-11-10  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.39 released.

2016-11-08  Carl Hetherington  <cth@carlh.net>

	* Fix subtitle rendering when size and colour changes
	word-by-word or character-by-character.  Fix some cut-off
	subtitles.

2016-11-07  Carl Hetherington  <cth@carlh.net>

	* Updated da_DK translation from Anders Uhl Pedersen.

2016-10-31  Carl Hetherington  <cth@carlh.net>

	* Fix failure to resume encodes when using encryption (#980).

2016-10-29  Carl Hetherington  <cth@carlh.net>

	* Updated de_DE translation from Carsten Kurz.

2016-10-28  Carl Hetherington  <cth@carlh.net>

	* Updated it_IT translation from Fabio "Zak" Belli.

2016-10-26  Carl Hetherington  <cth@carlh.net>

	* Updated es_ES translation from Manuel AC.

	* Updated sv_SE translation from Adam Klotblixt.

2016-10-25  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

2016-10-24  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.38 released.

2016-10-24  Carl Hetherington  <cth@carlh.net>

	* Fix more problems with 3D alternate-frame
	sources.

	* Allow creation of >60fps 3D DCPs.

	* Fix over-fussy parsing of times from subtitles
	files in some cases.

	* Fix repeated subtitles in some cases.

2016-10-19  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.37 released.

2016-10-19  Carl Hetherington  <cth@carlh.net>

	* Fix various problems with 3D DCP creation
	from 3D DCP and 3D-alternate-frame sources.

2016-10-18  Carl Hetherington  <cth@carlh.net>

	* Updated de_DE translation from Carsten Kurz.

2016-10-17  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.36 released.

2016-10-17  Carl Hetherington  <cth@carlh.net>

	* Bump libdcp for fix to corrupted audio analyses
	under some locales (#974).

2016-10-15  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.35 released.

2016-10-14  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.34 released.

2016-10-12  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.33 released.

2016-10-10  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.32 released.

2016-10-10  Carl Hetherington  <cth@carlh.net>

	* Fix incorrect import of multi-reel DCPs with subtitles.

2016-10-09  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.31 released.

2016-10-08  Carl Hetherington  <cth@carlh.net>

	* Fix overlapping burnt-in subtitles in some cases (#959).

2016-10-07  Carl Hetherington  <cth@carlh.net>

	* Fix XML subtitle output in some cases.

2016-10-06  Carl Hetherington  <cth@carlh.net>

	* Allow selection of CPL in multi-CPL DCPs (#733).

2016-10-05  Carl Hetherington  <cth@carlh.net>

	* Updated fr_FR translation from Thierry Journet.

2016-10-04  Carl Hetherington  <cth@carlh.net>

	* Fix error when examining files with embedded subtitles in some cases (#969).

2016-10-04  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.30 released.

2016-10-03  Carl Hetherington  <cth@carlh.net>

	* Fix crash on make DCP if there are old audio analysis files.

	* Updated zh_CN translation from 刘汉源.

2016-10-03  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.29 released.

2016-10-03  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

	* Version 2.9.28 released.

2016-09-30  Carl Hetherington  <cth@carlh.net>

	* Order jobs from first-to-execute to last in the batch converter.

2016-09-28  Carl Hetherington  <cth@carlh.net>

	* Fix crash on "report a problem" in the KDM creator.

2016-09-27  Carl Hetherington  <cth@carlh.net>

	* Updated ru_RU translation from Igor Voytovich.

2016-09-26  Carl Hetherington  <cth@carlh.net>

	* Disallow refer-to-DCP if the video frame size is different to that in the project (#963).

	* Fix multi-select in the timeline (#954).

	* Add option to Windows installer to add desktop shortcuts (#965).

	* Updated zh_CN translation from 刘汉源.

2016-09-26  Carl Hetherington  <cth@carlh.net>

	* Don't re-use J2K data if it's the wrong size (#964).

2016-09-23  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.27 released.

2016-09-22  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.26 released.

2016-09-21  Carl Hetherington  <cth@carlh.net>

	* Add confirm dialogue for job cancellation.

	* Version 2.9.25 released.

2016-09-21  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.24 released.

2016-09-21  Carl Hetherington  <cth@carlh.net>

	* Fix trimming of OV DCPs that are referred to (#956).

2016-09-20  Carl Hetherington  <cth@carlh.net>

	* Give better errors on SubRip parse failures.

	* Version 2.9.23 released.

2016-09-20  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.22 released.

2016-09-13  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.21 released.

2016-09-07  Carl Hetherington  <cth@carlh.net>

	* Updated es_ES translation from Manuel AC.

2016-08-30  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.20 released.

2016-08-30  Carl Hetherington  <cth@carlh.net>

	* Updated de_DE translation from Carsten Kurz.

2016-08-29  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.19 released.

2016-08-28  Carl Hetherington  <cth@carlh.net>

	* Updated fr_FR translation from Thierry Journet.

	* Version 2.9.18 released.

2016-08-28  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

2016-08-27  Carl Hetherington  <cth@carlh.net>

	* Updated fr_FR translation from Thierry Journet.

	* Updated zh_CN translation from 刘汉源.


2016-08-26  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.17 released.

2016-08-25  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.16 released.

2016-08-25  Carl Hetherington  <cth@carlh.net>

	* Fix silent acceptance of certificate chains where
	single certificates are required (#937).

2016-08-25  Carl Hetherington  <cth@carlh.net>

	* Make burnt-in subtitle outline width configurable (#940).

	* Updated nl_NL translation from Rob van Nieuwkerk.

2016-08-24  Carl Hetherington  <cth@carlh.net>

	* Updated fr_FR translation from Thierry Journet.

	* Updated cs_CZ translation from Tomáš Begeni.

2016-08-24  Carl Hetherington  <cth@carlh.net>

	* Allow import of OV/VF DCPs (#906).

2016-08-24  Carl Hetherington  <cth@carlh.net>

	* Keep timeline above main window.

2016-08-22  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.15 released.

2016-08-22  Carl Hetherington  <cth@carlh.net>

	* Fix doubled-up subtitles in some cases when importing
	DCPs with subtitles.

	* Fix colour tint in subtitles burnt into existing DCP
	content.

2016-08-22  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.14 released.

2016-08-21  Carl Hetherington  <cth@carlh.net>

	* Fix problems when sending emails on some servers.

2016-08-20  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

2016-08-18  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.13 released.

2016-08-18  Carl Hetherington  <cth@carlh.net>

	* Updated zh_CN translation from 刘汉源.

	* Updated nl_NL translation from Rob van Nieuwkerk.

2016-08-17  Carl Hetherington  <cth@carlh.net>

	* Spot and "fix" impossible refer-to-DCP settings (#929).

	* Label tweak to clarify how JPEG2000 bandwidth control works (#904).

	* Scroll audio mapping view labels correctly (#919).

2016-08-16  Carl Hetherington  <cth@carlh.net>

	* Basic support for fading subtitles in and out (#923).

	* Fix error on seeking through imported mulit-reel DCPs.

	* Simple information on mouse position in the video waveform (part of #932).

2016-08-15  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.12 released.

2016-08-15  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.11 released.

2016-08-14  Carl Hetherington  <cth@carlh.net>

	* Support subtitles in imported DCPs.

	* Updated zh_CN translation from 刘汉源.

2016-08-09  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.10 released.

2016-08-09  Carl Hetherington  <cth@carlh.net>

	* Improve rendering of outlined burnt-in subtitles a bit.

2016-08-04  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.9 released.

2016-08-04  Carl Hetherington  <cth@carlh.net>

	* Add button to export entire DCP decryption chain.

2016-07-31  Carl Hetherington  <cth@carlh.net>

	* Allow configuration of MXF/XML filenames (part of #710).

2016-07-29  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.8 released.

2016-07-29  Carl Hetherington  <cth@carlh.net>

	* Fix various problems with separate L/R eye
	content.

	* Rearrange Make KDM window and replace the
	confusing OK/Cancel buttons with "Make KDM" (part of #848).
	Rearrange the KDM Creator window similarly.

	* Allow configuration of KDM filename format.

2016-07-28  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.7 released.

2016-07-28  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.6 released.

2016-07-28  Carl Hetherington  <cth@carlh.net>

	* Fix start-trim of audio-only content (#915).

2016-07-26  Carl Hetherington  <cth@carlh.net>

	* Expand vertical size of servers list in preferences (#913).

2016-07-22  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.5 released.

2016-07-20  Carl Hetherington  <cth@carlh.net>

	* Add -t option to dcpomatic2_cli to override the configured
	local thread count.

	* Version 2.9.4 released.

2016-07-20  Carl Hetherington  <cth@carlh.net>

	* Try to fix -r option to dcpomatic_cli.

	* Try to fix intermittent hangs with encoding servers.

2016-07-14  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.3 released.

2016-07-14  Carl Hetherington  <cth@carlh.net>

	* Use default configuration if the config.xml failed to load;
	may help with #917.

2016-07-12  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.2 released.

2016-07-12  Carl Hetherington  <cth@carlh.net>

	* Updated zh_CN translation from Rov (若文).

2016-07-08  Carl Hetherington  <cth@carlh.net>

	* Version 2.9.1 released.

2016-07-08  Carl Hetherington  <cth@carlh.net>

	* Show hints before making DCP / sending to batch
	converter (#823).

	* Allow import of some more types of DNxHR file.

	* Support shadow in subtitles (#911).

	* Version 2.9.0 released.

2016-07-07  Carl Hetherington  <cth@carlh.net>

	* Updated fr_FR translation from Thierry Journet.

	* Version 2.8.20 released.

2016-07-07  Carl Hetherington  <cth@carlh.net>

	* Fix incorrect job running time reports (#912).

2016-07-06  Carl Hetherington  <cth@carlh.net>

	* Version 2.8.19 released.

2016-07-05  Carl Hetherington  <cth@carlh.net>

	* Fix stay-on-top behaviour of audio/video graphs
	to only stay on top of other DCP-o-matic windows (#909).

2016-07-04  Carl Hetherington  <cth@carlh.net>

	* Version 2.8.18 released.

2016-07-04  Carl Hetherington  <cth@carlh.net>

	* Fix several bugs with the sensitivity
	of controls in various circumstances.

2016-07-04  Carl Hetherington  <cth@carlh.net>

	* Updated de_DE translation from Carsten Kurz.

2016-07-03  Carl Hetherington  <cth@carlh.net>

	* Version 2.8.17 released.

2016-07-03  Carl Hetherington  <cth@carlh.net>

	* Updated ru_RU translation from Igor Voytovich.

	* Updated nl_NL translation from Rob van Nieuwkerk.

	* Fix line spacing adjustment of SSA/ASS.

	* Fix underline support in SSA/ASS.

	* Updated nl_NL translation from Rob van Nieuwkerk.

2016-07-02  Carl Hetherington  <cth@carlh.net>

	* Version 2.8.16 released.

2016-07-02  Carl Hetherington  <cth@carlh.net>

	* Fix problems with markup in subrip/SSA/ASS.

	* Updated ru_RU translation from Igor Voytovich.

	* Updated uk_UA translation from Igor Voytovich.

	* Version 2.8.15 released.

2016-07-01  Carl Hetherington  <cth@carlh.net>

	* Add move-to-position dialogs when clicking on the preview timecode
	or frame number.

2016-06-29  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

	* Increase frequency of progress reporting on long
	encodes (#900).

	* Obey specified colour conversion when previewing
	RGB and XYZ JPEG2000 files.

2016-06-24  Carl Hetherington  <cth@carlh.net>

	* Version 2.8.14 released.

2016-06-24  Carl Hetherington  <cth@carlh.net>

	* Try again to make new file dialogue bigger on some platforms
	(#902).

2016-06-24  Carl Hetherington  <cth@carlh.net>

	* Support underlined subtitles.

2016-06-22  Carl Hetherington  <cth@carlh.net>

	* Version 2.8.13 released.

2016-06-21  Carl Hetherington  <cth@carlh.net>

	* Make new file dialogue bigger on some platforms (#902).

2016-06-20  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

	* Fix display of italic and bold font names in the fonts
	dialogue.

	* Updated pt_BR translation from Max M. Fuhlendorf.

	* Fix various strange crashes with encoding servers.

2016-06-19  Carl Hetherington  <cth@carlh.net>

	* Version 2.8.12 released.

2016-06-19  Carl Hetherington  <cth@carlh.net>

	* Fix preview of bold subtitles.

	* Updated pt_BR translation from Max M. Fuhlendorf.

	* Version 2.8.11 released.

2016-06-19  Carl Hetherington  <cth@carlh.net>

	* Version 2.8.10 released.

2016-06-17  Carl Hetherington  <cth@carlh.net>

	* Add configurable default for the number of DCP
	audio channels (#897).

2016-06-16  Carl Hetherington  <cth@carlh.net>

	* Ignore any hidden files when looking for image files.

	* Remove seconds from KDM time period specification (#819).

2016-06-14  Carl Hetherington  <cth@carlh.net>

	* Basic guessing of audio channels from filenames (#393).

	* Fix incorrectly-reported frame rate when importing
	3D DCPs.

	* Select correct video frame type when importing DCPs (part of #806).

2016-06-13  Carl Hetherington  <cth@carlh.net>

	* Give better error messages when subtitles fail to load.

2016-06-13  Carl Hetherington  <cth@carlh.net>

	* Add 3D video frame type for 3D DCP inputs (#806).

	* Add button to move things to the start of reels (#798).

2016-06-08  Carl Hetherington  <cth@carlh.net>

	* Version 2.8.9 released.

2016-06-07  Carl Hetherington  <cth@carlh.net>

	* Add tooltips over content channel names in the
	audio mapping view (#888).

	* Re-add option to save DKDMs to a file.

2016-06-06  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

2016-06-05  Carl Hetherington  <cth@carlh.net>

	* Updated fr_FR translation from Thierry Journet.

2016-06-04  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

2016-06-02  Carl Hetherington  <cth@carlh.net>

	* Version 2.8.8 released.

2016-06-02  Carl Hetherington  <cth@carlh.net>

	* Fix crash when loading projects from pre-2.8.5.

	* Fix broken content properties under translation.

	* Version 2.8.7 released.

2016-06-01  Carl Hetherington  <cth@carlh.net>

	* Basics of better audio stream labelling in the audio
	mapping view (#849).

2016-06-01  Carl Hetherington  <cth@carlh.net>

	* Updated cs_CZ translation from Tomáš Begeni.

2016-05-31  Carl Hetherington  <cth@carlh.net>

	* Updated de_DE translation from Carsten Kurz.

	* Version 2.8.6 released.

2016-05-31  Carl Hetherington  <cth@carlh.net>

	* Fix some more incomplete strings in the properties dialogue (#874).

	* Fix crash on opening properties for audio-only files (#881).

	* Remove mention of finding subtitles when examining
	audio-only content (#882).

2016-05-30  Carl Hetherington  <cth@carlh.net>

	* Version 2.8.5 released.

2016-05-30  Carl Hetherington  <cth@carlh.net>

	* Keep audio dialogue always-on-top (#756).

	* Add Cancel button to custom colour conversion
	dialogue (#880).

	* Give the option to abort the operation when creating
	a new film or opening an existing one (#847).

2016-05-29  Carl Hetherington  <cth@carlh.net>

	* Updated fr_FR translation from Thierry Journet.

2016-05-27  Carl Hetherington  <cth@carlh.net>

	* Try to keep video waveform dialogue on top at all times (#820).

	* Updated uk_UA translation from Igor Voytovich.

	* Updated ru_RU translation from Igor Voytovich.

2016-05-25  Carl Hetherington  <cth@carlh.net>

	* Add hint about excessive audio level (part of #822).

	* Updated nl_NL translation from Rob van Nieuwkerk.

2016-05-25  Carl Hetherington  <cth@carlh.net>

	* Treat video MXFs better by not transcoding
	them unless necessary (part of #803).

2016-05-24  Carl Hetherington  <cth@carlh.net>

	* Add somewhat speculative Rec 1886 and Rec 2020
	colour conversion presets (#832).

	* Disallow referencing of Interop DCPs in SMPTE
	films, and vice versa (#804).

2016-05-23  Carl Hetherington  <cth@carlh.net>

	* Fix missing words in properties window (#874).

2016-05-23  Carl Hetherington  <cth@carlh.net>

	* Version 2.8.4 released.

2016-05-17  Carl Hetherington  <cth@carlh.net>

	* Version 2.8.3 released.

2016-05-16  Carl Hetherington  <cth@carlh.net>

	* Use CPL title for KDM <AnnotationText> nodes.

2016-05-12  Carl Hetherington  <cth@carlh.net>

	* Version 2.8.2 released.

2016-03-16  Carl Hetherington  <cth@carlh.net>

	* Optimise image scaling for the preview.

2016-05-11  Carl Hetherington  <cth@carlh.net>

	* Hopefully improve strange colour fringing on
	subtitles burnt into existing DCP sources (#752).

2016-04-29  Carl Hetherington  <cth@carlh.net>

	* Version 2.8.1 released.

2016-04-29  Carl Hetherington  <cth@carlh.net>

	* Fix incorrect date when using "copy as name" (#869).

2016-04-27  Carl Hetherington  <cth@carlh.net>

	* Add free-text notes field to cinemas and screens.

	* Request confirmation before resetting preferences (#867).

2016-04-29  Carl Hetherington  <cth@carlh.net>

	* Version 2.8.0 released.

2016-04-28  Carl Hetherington  <cth@carlh.net>

	* Version 2.7.20 released.

2016-04-28  Carl Hetherington  <cth@carlh.net>

	* Updated fr_FR translation from Thierry Journet.

2016-04-27  Carl Hetherington  <cth@carlh.net>

	* Version 2.7.19 released.

2016-04-27  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

2016-04-26  Carl Hetherington  <cth@carlh.net>

	* Version 2.7.18 released.

2016-04-26  Carl Hetherington  <cth@carlh.net>

	* Fix non-working delete key.

	* Updated ru_RU and uk_UA translations from Igor Voytovich.

	* Updated sv_SE translation from Adam Klotblixt.

	* Updated de_DE translation from Carsten Kurz.

	* Updated nl_NL translation from Rob van Nieuwkerk.

	* Updated es_ES translation from Manuel AC.

2016-04-25  Carl Hetherington  <cth@carlh.net>

	* Version 2.7.17 released.

2016-04-25  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

	* Version 2.7.16 released.

2016-04-25  Carl Hetherington  <cth@carlh.net>

	* Updated de_DE translation from Carsten Kurz.

	* When making up the ISDCF name assume subtitles are burnt in unless
	we know otherwise.

	* Fix saving of modified video frame rates for subtitle content.

2016-04-25  Carl Hetherington  <cth@carlh.net>

	* Version 2.7.15 released.

2016-04-25  Carl Hetherington  <cth@carlh.net>

	* Add cancel option to confirmation dialogue when closing
	the program (#847).

	* Move the reel markers to the top of the timeline (#846).

2016-04-22  Carl Hetherington  <cth@carlh.net>

	* Arrange buttons to consume less vertical space in the
	KDM creator (#833).

	* Select active channels on opening audio analysis (#802).

	* Disallow KDM until times from being before from times (#821).

	* Warn when loading certificates from files that have
	other stuff after the certificate (#805).

	* Separate left-only and right-only video content
	in the timeline (#845).

2016-04-21  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

2016-04-19  Carl Hetherington  <cth@carlh.net>

	* Updated cs_CZ translation from Tomáš Begeni.

2016-04-18  Carl Hetherington  <cth@carlh.net>

	* Version 2.7.14 released.

2016-04-18  Carl Hetherington  <cth@carlh.net>

	* Possibly fix strange paths when uploading DCPs using
	FTP/SCP.

2016-04-17  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

2016-04-15  Carl Hetherington  <cth@carlh.net>

	* Updated de_DE translation from Carsten Kurz.

	* Fix forcing of the "video frame rate" for audio content.

	* Updated ru_RU and uk_UA translations from Igor Voytovich.

2016-04-14  Carl Hetherington  <cth@carlh.net>

	* Version 2.7.13 released.

2016-04-14  Carl Hetherington  <cth@carlh.net>

	* Updated de_DE translation from Carsten Kurz.

	* Version 2.7.12 released.

2016-04-11  Carl Hetherington  <cth@carlh.net>

	* Hopefully fix strange limits on x/y offset of subtitles.

	* Add UTC-3:30 timezone to Cinema configuration (#831).

	* Add option to preview left or right eye (#809).

2016-04-09  Carl Hetherington  <cth@carlh.net>

	* Version 2.7.11 released.

2016-04-08  Carl Hetherington  <cth@carlh.net>

	* Version 2.7.10 released.

2016-04-08  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

2016-04-07  Carl Hetherington  <cth@carlh.net>

	* Updated de_DE translation from Carsten Kurz.

	* Updated nl_NL translation from Rob van Nieuwkerk.

2016-04-06  Carl Hetherington  <cth@carlh.net>

	* Version 2.7.9 released.

2016-04-05  Carl Hetherington  <cth@carlh.net>

	* Support bold in DCP subtitles.

2016-04-04  Carl Hetherington  <cth@carlh.net>

	* Fix failure to keep italic etc. going across
	multiple lines of a SubRip subtitle (#837).

2016-04-01  Carl Hetherington  <cth@carlh.net>

	* Updated fr_FR translation from Thierry Journet.

2016-03-28  Carl Hetherington  <cth@carlh.net>

	* Updated zh_CN translation from Rov (若文).

2016-03-22  Carl Hetherington  <cth@carlh.net>

	* Version 2.7.8 released.

2016-03-21  Carl Hetherington  <cth@carlh.net

	* Updated nl_NL translation from Rob van Nieuwkerk.

	* New zh_CN translation from 若文.

2016-03-20  Carl Hetherington  <cth@carlh.net>

	* Updated pt_PT translation from Tiago Casal Ribeiro.

	* Version 2.7.7 released.

2016-03-18  Carl Hetherington  <cth@carlh.net>

	* Version 2.7.6 released.

2016-03-18  Carl Hetherington  <cth@carlh.net>

	* Add first part of pt_BR translation from Thiago Andre.

2016-03-16  Carl Hetherington  <cth@carlh.net>

	* Version 2.7.5 released.

2016-03-15  Carl Hetherington  <cth@carlh.net>

	* Updated cz_CZ translation from Tomáš Begeni.

2016-03-14  Carl Hetherington  <cth@carlh.net>

	* Version 2.7.4 released.

2016-03-13  Carl Hetherington  <cth@carlh.net>

	* Version 2.7.3 released.

2016-03-13  Carl Hetherington  <cth@carlh.net>

	* Updated de_DE translation from Carsten Kurz.

	* Ignore empty email addresses for KDMs (#818).

	* Fix crash when using non-English decimal separators
	in the audio gain calculator dialogue (#824).

2016-03-12  Carl Hetherington  <cth@carlh.net>

	* Add 2.35:1 ratio.

	* Fix assertion failure on opening content properties (#816).

2016-03-10  Carl Hetherington  <cth@carlh.net>

	* Version 2.7.2 released.

2016-03-10  Carl Hetherington  <cth@carlh.net>

	* Updated it_IT translation from Fabio "Zak" Belli.

2016-03-08  Carl Hetherington  <cth@carlh.net>

	* Store time zone with cinemas and use them to
	mark KDM start and end times correctly (#788).

	* Bump ffmpeg to git master, somewhere post 3.0.

2016-03-08  Carl Hetherington  <cth@carlh.net>

	* Fix occasional crash when opening the custom
	colour conversion editor.

	* Version 2.7.0 released.

2016-03-08  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.39 released.

2016-03-08  Carl Hetherington  <cth@carlh.net>

	* Updated ua_UK and ru_RU translations from Igor Voytovich.

2016-03-07  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.38 released.

2016-03-07  Carl Hetherington  <cth@carlh.net>

	* Don't try to auto-analyse audio of non-audio content.

	* Version 2.6.37 released.

2016-03-07  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

2016-03-07  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.36 released.

2016-03-07  Carl Hetherington  <cth@carlh.net>

	* Updated de_DE translation from Carsten Kurz.

	* Version 2.6.35 released.

2016-03-07  Carl Hetherington  <cth@carlh.net>

	* Updated ua_UK and ru_RU translations from Igor Voytovich.

	* Version 2.6.34 released.

2016-03-06  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.33 released.

2016-03-06  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

2016-03-05  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.32 released.

2016-03-05  Carl Hetherington  <cth@carlh.net>

	* Try to fix slowdowns on Windows XP (#771).

2016-03-02  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.31 released.

2016-03-02  Carl Hetherington  <cth@carlh.net>

	* New uk_UA translation from Igor Voytovich.

	* Updated ru_RU translation from Igor Voytovich.

	* Add configurable option to disable EBUR128
	analysis.

2016-03-01  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.30 released.

2016-03-01  Carl Hetherington  <cth@carlh.net>

	* Fix failure to recognise image sequence directories
	in some cases.

2016-03-01  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.29 released.

2016-03-01  Carl Hetherington  <cth@carlh.net>

	* Fix hang / slowdown when previewing subtitles in some
	cases (#812).

2016-02-29  Carl Hetherington  <cth@carlh.net>

	* Updated fr_FR translation from Thierry Journet.

	* Version 2.6.28 released.

2016-02-28  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.27 released.

2016-02-28  Carl Hetherington  <cth@carlh.net>

	* Ignore subdirectories when deciding whether a folder
	contains an image sequence or a DCP.

	* Updated nl_NL translation from Rob van Nieuwkerk.

2016-02-27  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.26 released.

2016-02-26  Carl Hetherington  <cth@carlh.net>

	* Allow changes to colours of subtitles embedded
	into video files (#795).

2016-02-25  Carl Hetherington  <cth@carlh.net>

	* Plot all video and subtitle content on single tracks
	with audio on the remainder.  Improve rendering quality
	of the timeline.

2016-02-24  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.25 released.

2016-02-24  Carl Hetherington  <cth@carlh.net>

	* Various fixes to timeline behaviour.

	* Fix download of certificates for CAT745 and CP850.

2016-02-21  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.24 released.

2016-02-21  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.23 released.

2016-02-21  Carl Hetherington  <cth@carlh.net>

	* Fix duplicate <LoadFont> nodes in subtitle files.

2016-02-18  Carl Hetherington  <cth@carlh.net>

	* Add some more information to the content properties
	dialogue (#791).

2016-02-17  Carl Hetherington  <cth@carlh.net>

	* Store cinema / screen certificates in a separate
	file and allow configuration of its location (#796).

2016-02-16  Carl Hetherington  <cth@carlh.net>

	* Add option to dcpomatic_cli to echo the
	created DCP's path to stdout (#794).

	* Add option to auto-upload to TMS (#794).

	* Version 2.6.22 released.

2016-02-16  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.21 released.

2016-02-15  Carl Hetherington  <cth@carlh.net>

	* Fix exception when analysing audio of projects with more
	than 8 DCP channels.

2016-02-15  Carl Hetherington  <cth@carlh.net>

	* Support SSA subtitles embedded within FFmpeg files.

2016-02-12  Carl Hetherington  <cth@carlh.net>

	* Add basic support for SSA (SubStation Alpha) subtitles (#128).

2016-02-09  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.20 released.

2016-02-09  Carl Hetherington  <cth@carlh.net>

	* Updated es_ES translation from Manuel AC.

2016-02-08  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.19 released.

2016-02-05  Carl Hetherington  <cth@carlh.net>

	* New cs_CZ translation from Tomáš Begeni.

2016-02-04  Carl Hetherington  <cth@carlh.net>

	* Updated de_DE translation from Carsten Kurz.

2016-02-02  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.18 released.

2016-02-02  Carl Hetherington  <cth@carlh.net>

	* Add Delete-key shortcut to remove content.

2016-02-01  Carl Hetherington  <cth@carlh.net>

	* Allow removal of multiple pieces of content in one click.

	* Synchronise content list / timeline selection when
	the content list selection changes.

	* Move the preview to the start of a piece of content
	when selecting it (suggested by Carsten Kurz).

2016-02-01  Carl Hetherington  <cth@carlh.net>

	* Updated de_DE translation from Carsten Kurz.

2016-02-01  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.17 released.

2016-01-30  Carl Hetherington  <cth@carlh.net>

	* Fix a collection of strange problems with the content list when
	dragging content around in the timeline.

2016-01-24  Carl Hetherington  <cth@carlh.net>

	* Fix encodes getting stuck in some cases (#783).

2016-01-23  Carl Hetherington  <cth@carlh.net>

	* Fix estimate of required disk space to take referencing
	of existing DCPs into account.

2016-01-14  Carl Hetherington  <cth@carlh.net>

	* Add frames-per-second summary to log at the end of
	a transcode (#786).

	* Allow multiple CC addresses for KDM emails (#785).

2016-01-13  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.16 released.

2016-01-13  Carl Hetherington  <cth@carlh.net>

	* Fix incorrect fades when trim is being used.

2016-01-11  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

2016-01-10  Carl Hetherington  <cth@carlh.net>

	* Sort "Add file(s)..." images case-insensitively.

	* Version 2.6.15 released.

2016-01-09  Carl Hetherington  <cth@carlh.net>

	* Fix file-not-found errors with dcpomatic_create on Windows
	in some situations.

2016-01-08  Carl Hetherington  <cth@carlh.net>

	* Attempt to make subtitles view resizeable on all platforms (#781).

	* Don't expand all cinemas on opening KDM dialogs (#779).

2016-01-07  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.14 released.

2016-01-07  Carl Hetherington  <cth@carlh.net>

	* Sort image files added using "Add file(s)..." alphabetically
	rather than trying to find numbers in the filenames.

2016-01-07  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.13 released.

2016-01-07  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.12 released.

2016-01-06  Carl Hetherington  <cth@carlh.net>

	* Updated ru_RU translation from Igor Voytovich.

	* Version 2.6.11 released.

2016-01-06  Carl Hetherington  <cth@carlh.net>

	* New sk_SK translation from Tomáš Hlaváč.

2015-12-23  Carl Hetherington  <cth@carlh.net>

	* Add basic search function to KDM creator screens list (#739).

	* Version 2.6.10 released.

2015-12-23  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

	* Version 2.6.9 released.

2015-12-23  Carl Hetherington  <cth@carlh.net>

	* Add stored list of DKDMs to KDM creator (#767).

2015-12-22  Carl Hetherington  <cth@carlh.net>

	* Fix hang when removing screens in some cases.

2015-12-21  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.8 released.

2015-12-21  Carl Hetherington  <cth@carlh.net>

	* Reduce frequency of temporary writes to disk (#748).

	* Use new Dolby website for both Doremi and Dolby certificates (#775).

2015-12-18  Carl Hetherington  <cth@carlh.net>

	* Fix double-calculation of DCP hashes.

	* Add hint about making non-24/48 FPS Interop DCPs.

2015-12-15  Carl Hetherington  <cth@carlh.net>

	* Updated de_DE translation from Carsten Kurz.

	* Updated nl_NL translation from Rob van Niuewkerk.

2015-12-11  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.7 released.

2015-12-11  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.6 released.

2015-12-06  Carl Hetherington  <cth@carlh.net>

	* Add menu option to send a project to the
	batch converter (#770).

2015-12-10  Carl Hetherington  <cth@carlh.net>

	* Put ISDCF name subtitle language in lower case if all subs are
	burnt into the image.

2015-12-09  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.5 released.

2015-12-08  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.4 released.

2015-11-30  Carl Hetherington  <cth@carlh.net>

	* Port to OpenJPEG version 2.1.

2015-12-04  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.3 released.

2015-12-04  Carl Hetherington  <cth@carlh.net>

	* Fix non-functional send-problem-report.

2015-12-03  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.2 released.

2015-12-03  Carl Hetherington  <cth@carlh.net>

	* Fix crash on startup of server GUI in some cases.

2015-12-03  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.1 released.

2015-12-03  Carl Hetherington  <cth@carlh.net>

	* Fix crash on uploading to TMS via FTP.

2015-12-02  Carl Hetherington  <cth@carlh.net>

	* Version 2.6.0 released.

2015-12-02  Carl Hetherington  <cth@carlh.net>

	* Version 2.5.15 released.

2015-12-02  Carl Hetherington  <cth@carlh.net>

	* Version 2.5.14 released.

2015-12-02  Carl Hetherington  <cth@carlh.net>

	* Various fixes to certificate downloading.

	* Version 2.5.13 released.

2015-12-02  Carl Hetherington  <cth@carlh.net>

	* Remove insistence on 6-character Doremi serials (#768).

2015-12-01  Carl Hetherington  <cth@carlh.net>

	* Updated ru_RU translation from Igor Voytovich.

2015-11-30  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

2015-11-29  Carl Hetherington  <cth@carlh.net>

	* Version 2.5.12 released.

2015-11-29  Carl Hetherington  <cth@carlh.net>

	* Possibly fix large memory use with burnt-in subtitles (#766).

2015-11-28  Carl Hetherington  <cth@carlh.net>

	* Version 2.5.11 released.

2015-11-28  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

	* Fix various problems with specification of install directory
	on Windows (#643, #705).

2015-11-27  Carl Hetherington  <cth@carlh.net>

	* Add config and server list to the batch converter's menus (#765).

	* Fix incorrect subtitle timings with multi-reel (#760).

	* Version 2.5.10 released.

2015-11-27  Carl Hetherington  <cth@carlh.net>

	* Fix download of some Doremi certificates (#763).

2015-11-27  Carl Hetherington  <cth@carlh.net>

	* Updated de_DE translation from Carsten Kurz.

	* Hopefully fix truncated text in the colour conversion dialog
	on OS X.

2015-11-26  Carl Hetherington  <cth@carlh.net>

	* Version 2.5.9 released.

2015-11-26  Carl Hetherington  <cth@carlh.net>

	* Updated de_DE translation from Carsten Kurz.

2015-11-24  Carl Hetherington  <cth@carlh.net>

	* Version 2.5.8 released.

2015-11-24  Carl Hetherington  <cth@carlh.net>

	* Version 2.5.7 released.

2015-11-20  Carl Hetherington  <cth@carlh.net>

	* Lower default position of SubRip subtitles a bit.

2015-11-19  Carl Hetherington  <cth@carlh.net>

	* Adjust preview subtitle position to better match reality
	in some cases.

2015-11-19  Carl Hetherington  <cth@carlh.net>

	* Add menu option to make a DKDM for DCP-o-matic (#755).

2015-11-18  Carl Hetherington  <cth@carlh.net>

	* Version 2.5.6 released.

2015-11-18  Carl Hetherington  <cth@carlh.net>

	* Add LUFS / LRA analysis using FFmpeg's ebur128 filter (#368).

2015-11-17  Carl Hetherington  <cth@carlh.net>

	* Bump libdcp for fix to encoded date header in MXF files when
	encoding on Windows (#754).

	* Version 2.5.5 released.

2015-11-17  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

	* Fix crash when previewing MXFs in some cases.

2015-11-16  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

2015-11-15  Carl Hetherington  <cth@carlh.net>

	* Version 2.5.4 released.

2015-11-15  Carl Hetherington  <cth@carlh.net>

	* Updated ru_RU translation from Igor Voytovich.

	* Basic support for trusted device lists in KDMs (#750).

2015-11-14  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

	* Fix various misbehaviours with update checking (#749).

	* Updated fr_FR translation from Thierry Journet.

2015-11-13  Carl Hetherington  <cth@carlh.net>

	* Version 2.5.3 released.

2015-11-13  Carl Hetherington  <cth@carlh.net>

	* Vertically align SubRip subtitles with reference to the bottom
	of the screen (#744).

	* Disable YUV->RGB conversion controls with non-YUV sources (#649).

	* Allow multiple recipients of KDM emails (#745).

2015-11-12  Carl Hetherington  <cth@carlh.net>

	* Version 2.5.2 released.

2015-11-12  Carl Hetherington  <cth@carlh.net>

	* Extend maximum audio channels to 16 for an experiment.

2015-11-12  Carl Hetherington  <cth@carlh.net>

	* Updated ru_RU translation from Igor Voytovich.

2015-11-12  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

2015-11-11  Carl Hetherington  <cth@carlh.net>

	* Updated pt_PT translation from Tiago Casal Ribeiro.

	* Updated sv_SE translation from Adam Klotblixt.

2015-11-10  Carl Hetherington  <cth@carlh.net>

	* Further adjustments to playhead behaviour during trim (#737).

	* Version 2.5.1 released.

2015-11-10  Carl Hetherington  <cth@carlh.net>

	* Updated fr_FR translation from Thierry Journet.

2015-11-09  Carl Hetherington  <cth@carlh.net>

	* Correct a number of float/double mismatches; should fix #742.

	* Desensitise trim-playhead buttons as appropriate (#737).

	* Keep same frame visible after trimming content start (#737).

	* Trim frames after the current one with "trim after current", leaving
	the current frame in (#737).

2015-11-08  Carl Hetherington  <cth@carlh.net>

	* Fix bad layout in the audio tab (#738).

	* Allow configuration of SubRip subtitle colour and outlines.

2015-11-06  Carl Hetherington  <cth@carlh.net>

	* Sort cinemas in KDM dialog and standalone creator (#726).

2015-11-06  Carl Hetherington  <cth@carlh.net>

	* Updated ru_RU translation from Igor Voytovich.

2015-11-06  Carl Hetherington  <cth@carlh.net>

	* Make single-frame image sources adjust their notional
	frame rate to that of the DCP (#714).

2015-11-05  Carl Hetherington  <cth@carlh.net>

	* Correct time display when previewing multi-reel DCP content.

2015-11-05  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

2015-11-05  Carl Hetherington  <cth@carlh.net>

	* Version 2.5.0 released.

2015-11-05  Carl Hetherington  <cth@carlh.net>

	* Version 2.4.18 released.

2015-11-04  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

	* Version 2.4.17 released.

2015-11-04  Carl Hetherington  <cth@carlh.net>

	* Version 2.4.16 released.

2015-11-03  Carl Hetherington  <cth@carlh.net>

	* Fix error when previewing DCP content with added subtitles (#736).

	* Fix crash with multi-reel DCP content.

	* Updated fr_FR translation from Thierry Journet.

	* Updated ru_RU translation from Igor Voytovich.

	* Updated nl_NL translation from Rob van Nieuwkerk.

2015-11-02  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

	* Fix incorrect preview rendering of italic subtitles (#728).

2015-10-30  Carl Hetherington  <cth@carlh.net>

	* Updated ru_RU translation from Igor Voytovich.

	* Fix non-update of timeline when reels setup changes (#735).

2015-10-29  Carl Hetherington  <cth@carlh.net>

	* Version 2.4.15 released.

2015-10-29  Carl Hetherington  <cth@carlh.net>

	* Fix incorrect colours following re-scale of existing
	DCP content (#730).

	* Updated nl_NL translation from Rob van Nieuwkerk.

	* Updated pt_PT translation from Tiago Casal Ribeiro.

2015-10-28  Carl Hetherington  <cth@carlh.net>

	* New pt_PT translation from Tiago Casal Ribeiro.

	* Version 2.4.14 released.

2015-10-28  Carl Hetherington  <cth@carlh.net>

	* Version 2.4.13 released.

2015-10-28  Carl Hetherington  <cth@carlh.net>

	* Fix ordering of filename in image sets in some cases
	(e.g. foo_01042015_00000, foo_01042015_00001...)

	* Updated da_DK translation from Anders Uhl Pedersen.

	* Fix erroneous addition of referenced assets to PKLs (#723).

2015-10-19  Carl Hetherington  <cth@carlh.net>

	* Draw reels in the timeline.

	* Fix by-video-content reel split when there is stuff
	after the last piece of video content.

	* Add button to export leaf private key from the config.

2015-10-17  Carl Hetherington  <cth@carlh.net>

	* Version 2.4.12 released.

2015-10-15  Carl Hetherington  <cth@carlh.net>

	* Fix out-of-range Interop subtitle timing in some cases (#717).

2015-10-14  Carl Hetherington  <cth@carlh.net>

	* Only show existing DCP channels in the audio dialog (#715).

	* Various optimizations to the upmixer filters; drop order of
	Upmixer A Lfe/C and Upmixer B Lfe filters to speed them up.

2015-10-13  Carl Hetherington  <cth@carlh.net>

	* Version 2.4.11 released.

2015-10-13  Carl Hetherington  <cth@carlh.net>

	* Add basic support for multi-reel.

	* Fix referencing of multi-reel DCPs.

2015-10-12  Carl Hetherington  <cth@carlh.net>

	* Version 2.4.10 released.

2015-10-12  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from Rob van Nieuwkerk.

2015-10-11  Carl Hetherington  <cth@carlh.net>

	* Add option to log SMTP session transcripts
	for debugging failures to send email.

	* Version 2.4.9 released.

2015-10-11  Carl Hetherington  <cth@carlh.net>

	* Provide progress indication when finding
	subtitles (#711).

	* Updated ru_RU translation from Igor Voytovich.

	* Updated pl_PL translation from Marek Skrzelowski.

2015-10-10  Carl Hetherington  <cth@carlh.net>

	* Version 2.4.8 released.

2015-10-10  Carl Hetherington  <cth@carlh.net>

	* Version 2.4.7 released.

2015-10-10  Carl Hetherington  <cth@carlh.net>

	* Updated nl_NL translation from
	Rob van Nieuwkerk.

2015-10-09  Carl Hetherington  <cth@carlh.net>

	* Version 2.4.6 released.

2015-10-09  Carl Hetherington  <cth@carlh.net>

	* Create certificate chains with nicer default
	organizational unit etc.

	* Various improvements to server GUI.

	* Package main DCP-o-matic, server and batch
	converter on all platforms.

	* Add KDM creator application which can
	make new KDMs given a DKDM.

2015-10-08  Carl Hetherington  <cth@carlh.net>

	* Update to fr_FR translation from Thierry Journet.

2015-10-07  Carl Hetherington  <cth@carlh.net>

	* Version 2.4.5 released.

2015-10-07  Carl Hetherington  <cth@carlh.net>

	* Fix job description layout on OS X.

2015-10-06  Carl Hetherington  <cth@carlh.net>

	* Version 2.4.4 released.

2015-10-06  Carl Hetherington  <cth@carlh.net>

	* Version 2.4.3 released.

2015-10-06  Carl Hetherington  <cth@carlh.net>

	* Version 2.4.2 released.

2015-10-06  Carl Hetherington  <cth@carlh.net>

	* Fix subtitle timing when the DCP rate
	is different to their native rate.

	* Fix invalid SMPTE subtitle output
	in some cases.

	* Version 2.4.1 released.

2015-10-06  Carl Hetherington  <cth@carlh.net>

	* Speculative support for multi-part
	bitmap subtitles (#709).

2015-10-05  Carl Hetherington  <cth@carlh.net>

	* Version 2.4.0 released.

2015-10-05  Carl Hetherington  <cth@carlh.net>

	* Version 2.3.14 released.

2015-10-04  Carl Hetherington  <cth@carlh.net>

	* Fix subtitle timing under trim.

2015-10-02  Carl Hetherington  <cth@carlh.net>

	* Version 2.3.13 released.

2015-10-01  Carl Hetherington  <cth@carlh.net>

	* Version 2.3.12 released.

2015-09-30  Carl Hetherington  <cth@carlh.net>

	* Fix broken video frame rate override control.

2015-09-30  Carl Hetherington  <cth@carlh.net>

	* Version 2.3.11 released.

2015-09-30  Carl Hetherington  <cth@carlh.net>

	* Fix various confusions with subtitles and
	changing video frame rates.

2015-09-29  Carl Hetherington  <cth@carlh.net>

	* Version 2.3.10 released.

2015-09-29  Carl Hetherington  <cth@carlh.net>

	* Improve fix for failure to analyse some audio.

2015-09-28  Carl Hetherington  <cth@carlh.net>

	* Version 2.3.9 released.

2015-09-28  Carl Hetherington  <cth@carlh.net>

	* Fix update of display when changing DCP video rate (#699).

2015-09-28  Carl Hetherington  <cth@carlh.net>

	* Version 2.3.8 released.

2015-09-28  Carl Hetherington  <cth@carlh.net>

	* Fix problems with audio analysis of some combined
	video/audio files.

	* Fix mis-identification of a folder of images
	as a DCP in some cases.

2015-09-27  Carl Hetherington  <cth@carlh.net>

	* Version 2.3.7 released.

2015-09-26  Carl Hetherington  <cth@carlh.net>

	* Fix crash with embedded subtitles with some
	video files.

	* Version 2.3.6 released.

2015-09-25  Carl Hetherington  <cth@carlh.net>

	* Fix assertion failure when loading .MTS files (#702).

	* Fix incorrect hint about 3D content in a 2D DCP.

	* Detect and convert from non-UTF-8
	subtitle encodings.

2015-09-21  Carl Hetherington  <cth@carlh.net>

	* Version 2.3.5 released.

2015-09-20  Carl Hetherington  <cth@carlh.net>

	* Fix setting of frame rate when loading
	image folders.

2015-09-18  Carl Hetherington  <cth@carlh.net>

	* Add another upmixer which is a simpler
	matrix-type thing with no filtering
	(apart from Lfe).

2015-09-17  Carl Hetherington  <cth@carlh.net>

	* Version 2.3.4 released.

2015-09-17  Carl Hetherington  <cth@carlh.net>

	* Version 2.3.3 released.

2015-09-16  Carl Hetherington  <cth@carlh.net>

	* Fix exception on adding an empty folder
	as content (#691).

	* Add config option for default standard
	(SMPTE / Interop).

2015-09-16  Carl Hetherington  <cth@carlh.net>

	* Allow imported DCPs to be referenced rather
	than re-wrapped (i.e. creation of VF DCPs).

2015-09-15  Carl Hetherington  <cth@carlh.net>

	* Fix crash on re-making certificate chains
	after removing all existing certificates (#690).

2015-09-15  Carl Hetherington  <cth@carlh.net>

	* Fix failure to display audio analysis
	in some cases.

2015-09-15  Carl Hetherington  <cth@carlh.net>

	* Version 2.3.2 released.

2015-09-14  Carl Hetherington  <cth@carlh.net>

	* Fix Windows short-cut to encode server.

	* Version 2.3.1 released.

2015-09-14  Carl Hetherington  <cth@carlh.net>

	* Version 2.2.1 released.

2015-09-03  Carl Hetherington  <cth@carlh.net>

	* Quicker, though slightly less safe,
	check for existing picture data; go back
	from the last frame written until we
	find a good one rather than going
	through from the beginning until we find
	a bad one (#519, #504).

	* Add frame counter to progress
	when transcoding (#111).

	* Add button to export certificates
	from the configuration (#668).

	* Add option to always analyse audio
	and put the peak value into the audio
	tab so it's easy to see (#673).

2015-09-14  Carl Hetherington  <cth@carlh.net>

	* Version 2.2.0 released.

2015-09-14  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.65 released.

2015-09-12  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.64 released.

2015-09-12  Carl Hetherington  <cth@carlh.net>

	* Several fixes to SMPTE subtitle syntax.

	* Version 2.1.63 released.

2015-09-11  Carl Hetherington  <cth@carlh.net>

	* Fix assertion failure when creating 6-channel DCPs
	using the mid-side processor.

2015-09-10  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.62 released.

2015-09-10  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.61 released.

2015-09-09  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.60 released.

2015-09-09  Carl Hetherington  <cth@carlh.net>

	* Updated fr_FR translation from Thierry Journet.

	* Version 2.1.59 released.

2015-09-09  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.59 released.

2015-09-09  Carl Hetherington  <cth@carlh.net>

	* Use SRC_LINEAR when resampling for
	audio analysis to speed things up (#685).

2015-09-09  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.58 released.

2015-09-09  Carl Hetherington  <cth@carlh.net>

	* Actually fix missing libsamplerate
	dylib for OS X.

2015-09-08  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.57 released.

2015-09-08  Carl Hetherington  <cth@carlh.net>

	* Missing libsamplerate dylib for OS X.

2015-09-06  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.56 released.

2015-09-06  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.55 released.

2015-09-05  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.54 released.

2015-09-05  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.53 released.

2015-09-04  Carl Hetherington  <cth@carlh.net>

	* Use libsamplerate for resampling instead
	of FFmpeg / libsoxr.

	* Fix audio mapping view changing size
	on first click.

	* Version 2.1.52 released.

2015-09-03  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.51 released.

2015-09-02  Carl Hetherington  <cth@carlh.net>

	* Switch to soxr resampler as it seems
	to have fewer artefacts in some cases (#682, possibly #493).

2015-09-02  Carl Hetherington  <cth@carlh.net>

	* Fix problems when changing the number
	of encoding servers / threads during an
	encode (#683).

2015-09-02  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.50 released.

2015-09-01  Carl Hetherington  <cth@carlh.net>

	* Allow cancellation of transcodes during the
	checking of existing frames (#679).

	* Version 2.1.49 released.

2015-08-31  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.48 released.

2015-08-31  Carl Hetherington  <cth@carlh.net>

	* Stop very long searches for subtitles where
	there are none.

	* Updated es_ES translation from Manuel AC.

2015-08-30  Carl Hetherington  <cth@carlh.net>

 	* Updated ru_RU translation from Igor Voytovich.

2015-08-28  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.47 released.

2015-08-28  Carl Hetherington  <cth@carlh.net>

	* Fix crash on adding a KDM to DCP content
	(hopefully fixing #645).

2015-08-27  Carl Hetherington  <cth@carlh.net>

	* Tidy up DCP content colour conversion
	a bit.

	* Fix creation of badly-named configuration
	directories in some circumstances (#654).

2015-08-26  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.46 released.

2015-08-25  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.45 released.

2015-08-25  Carl Hetherington  <cth@carlh.net>

	* Add video waveform viewer.

2015-08-23  Carl Hetherington  <cth@carlh.net>

	* Use correct fonts to render subtitles in preview (#663).

2015-08-22  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.44 released.

2015-08-20  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.43 released.

2015-08-20  Carl Hetherington  <cth@carlh.net>

	* Fix assertion failure with overlapping video content (#666).

2015-08-19  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.42 released.

2015-08-18  Carl Hetherington  <cth@carlh.net>

	* Add custom dialog to select system fonts on Windows
	(#491).

	* Version 2.1.41 released.

2015-08-18  Carl Hetherington  <cth@carlh.net>

	* Add configuration for DCP creator metadata.

	* Version 2.1.40 released.

2015-08-18  Carl Hetherington  <cth@carlh.net>

	* Fix various problems when creating
	subtitled Interop DCPs on Windows.

2015-08-17  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.39 released.

2015-08-17  Carl Hetherington  <cth@carlh.net>

	* Fix problems when encoding 3D from separate
	L/R sources.

	* Version 2.1.38 released.

2015-08-17  Carl Hetherington  <cth@carlh.net>

	* Fix crop of some YUV content.

2015-08-11  Carl Hetherington  <cth@carlh.net>

	* Prevent multiple creation of certificate chains
	on startup (part of #651).

2015-08-10  Carl Hetherington  <cth@carlh.net>

	* Fix erroneous folder creation on Windows (#654).

	* Fix incorrect layout on Windows (#653).

2015-08-09  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.37 released.

2015-08-09  Carl Hetherington  <cth@carlh.net>

	* Fix various incorrect behaviours with 96kHz
	audio sources.

2015-08-06  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.36 released.

2015-08-06  Carl Hetherington  <cth@carlh.net>

	* Make dcpomatic_create assign a default name if none
	is specified.  Fix dcpomatic_create help.

	* Add --no-sign and --no-use-isdcf-name to dcpomatic_create.

2015-08-05  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.35 released.

2015-08-05  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.34 released.

2015-08-05  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.33 released.

2015-08-04  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.32 released.

2015-08-04  Carl Hetherington  <cth@carlh.net>

	* Add --standard option to dcpomatic_create.

	* Disable "2D version of 3D content" ISDCF metadata
	checkbutton with 3D content (part of #652).

2015-07-30  Carl Hetherington  <cth@carlh.net>

	* Allow recreation of the certificate chain and key
	used for KDM decryption (#644).

2015-07-29  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.31 released.

2015-07-29  Carl Hetherington  <cth@carlh.net>

	* Fix "find missing" with DCP folders (#646).

	* Fix garbled audio from DCP sources when running
	on Windows.

2015-07-28  Carl Hetherington  <cth@carlh.net>

	* Stop forward-frame button going off the end of the film.

	* Notice when content is modified and offer to save the project
	on closing DCP-o-matic.

	* Recognise .w64 and .flac as audio files.

2015-07-27  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.30 released.

2015-07-27  Carl Hetherington  <cth@carlh.net>

	* Updated ru_RU translation from Igor Voytovich.

	* Version 2.1.29 released.

2015-07-27  Carl Hetherington  <cth@carlh.net>

	* Fix i18n for some messages.

2015-07-25  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.28 released.

2015-07-24  Carl Hetherington  <cth@carlh.net>

	* Fix problems when using large start trims relative
	to content length.

2015-07-22  Carl Hetherington  <cth@carlh.net>

	* Use NR for rating an in ISDCF name if none is specified.

2015-07-21  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.27 released.

2015-07-21  Carl Hetherington  <cth@carlh.net>

	* Fix incorrect conversion of audio from DCP sources (#642).

2015-07-20  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.26 released.

2015-07-20  Carl Hetherington  <cth@carlh.net>

	* Fix missing second lines of subtitles in
	some cases (#641).

2015-07-19  Carl Hetherington  <cth@carlh.net>

	* Fix some missing set-to-defaults (#640).

	* Version 2.1.25 released.

2015-07-17  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.24 released.

2015-07-17  Carl Hetherington  <cth@carlh.net>

	* Support FTP upload to TMS (#639).

	* Fix bad behaviour of timeline snap.

2015-07-17  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.23 released.

2015-07-17  Carl Hetherington  <cth@carlh.net>

	* Improve still-image filename sorting.

2015-07-16  Carl Hetherington  <cth@carlh.net>

	* Updated ru_RU translation from Igor Voytovich.

	* Version 2.1.22 released.

2015-07-16  Carl Hetherington  <cth@carlh.net>

	* Updated ru_RU translation from Igor Voytovich.

2015-07-14  Carl Hetherington  <cth@carlh.net>

	* Updated fr_FR translation from Thierry Journet.

	* Fix trim point movement when changing DCP frame rate (#637).

2015-07-14  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.21 released.

2015-07-14  Carl Hetherington  <cth@carlh.net>

	* Fix occasional strange failure to allow content
	selection (#636).

	* Fix failure to encode 3D from separate content
	in some cases (from 1.x) (#634).

	* Fix non-working 3D DCP creation when using separate
	pieces of content for each eye (#635).

2015-07-12  Carl Hetherington  <cth@carlh.net>

	* Enforce restrictions on SSL certificate properties.

2015-07-09  Carl Hetherington  <cth@carlh.net>

	* Improve 'best' frame rate guess in some cases (#633).

	* Version 2.1.20 released.

2015-07-09  Carl Hetherington  <cth@carlh.net>

	* Fix error when using DCP content with no audio channels.

	* Stop Ctrl+A working when the content tab is not visible (#577).

2015-07-08  Carl Hetherington  <cth@carlh.net>

	* Remove the (I suspect) rarely used and very limited
	'properties' dialogue.

	* Stop V2 recognising V1 servers and vice versa (#510).

2015-07-07  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.19 released.

2015-07-06  Carl Hetherington  <cth@carlh.net>

	* Copy pl_PL translation from 1.x.

2015-07-06  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.18 released.

2015-07-06  Carl Hetherington  <cth@carlh.net>

	* Fix incorrectly formatted KDM emails (#630).

2015-07-03  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.17 released.

2015-07-03  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.16 released.

2015-07-02  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.15 released.

2015-07-02  Carl Hetherington  <cth@carlh.net>

	* Support <font color="#abcdef"> tags in SubRip files.

	* Fix failure to burn subs over existing DCP sources.

	* Remove output gamma configuration option.

2015-07-02  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.14 released.

2015-07-02  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.13 released.

2015-07-02  Carl Hetherington  <cth@carlh.net>

	* Restore audio analysis button for individual
	sources (#607 and #622).

2015-06-30  Carl Hetherington  <cth@carlh.net>

	* Write FFmpeg messages of AV_LOG_WARNING and
	below to the project's log file.

2015-06-29  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.12 released.

2015-06-25  Carl Hetherington  <cth@carlh.net>

	* Disallow impossible burn settings by manipulating
	the controls in the subtitle panel (#625).

2015-06-26  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.11 released.

2015-06-26  Carl Hetherington  <cth@carlh.net>

	* Fix missing subtitles in some cases.

	* Fix no-rebuild of DCP after subtitle burn is turned off/on.

2015-06-25  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.10 released.

2015-06-25  Carl Hetherington  <cth@carlh.net>

	* Add decode debugging option.

2015-06-25  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.9 released.

2015-06-24  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.8 released.

2015-06-24  Carl Hetherington  <cth@carlh.net>

	* Bump libdcp for probable fix to various font ID problems (#620).

2015-06-23  Carl Hetherington  <cth@carlh.net>

	* Fix incorrect saving of colour conversion settings (#618).

2015-06-21  Carl Hetherington  <cth@carlh.net>

	* Add some more video properties to the content properties
	dialogue.

	* Version 2.1.7 released.

2015-06-21  Carl Hetherington  <cth@carlh.net>

	* Prevent DCP creation if the project is set up to request
	non-burnt-in subtitles with text-subtitle content (#606).

	* Fix status message appearance on OS X (#615).

2015-06-19  Carl Hetherington  <cth@carlh.net>

	* Fix non-working audio analysis dialogue.

	* Version 2.1.6 released.

2015-06-18  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.5 released.

2015-06-18  Carl Hetherington  <cth@carlh.net>

	* Fix error when copying fonts into subtitles
	on Windows (#612).

	* Split job status onto two lines (#610).

	* Fix audio channel counts in DCP names when
	processors are in use (#609).

2015-06-18  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.4 released.

2015-06-18  Carl Hetherington  <cth@carlh.net>

	* Fixes to Linux .desktop files.

	* Stop playback when we reach the end of the film.

2015-06-16  Carl Hetherington  <cth@carlh.net>

	* Prevent selection of fewer DCP channels than
	are present in the output of an active processor (#611).

2015-06-15  Carl Hetherington  <cth@carlh.net>

	* Select newly-added content (#455).

2015-06-14  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.3 released.

2015-06-14  Carl Hetherington  <cth@carlh.net>

	* Fix parsing of .srt files with a Unicode
	byte-order-mark.

	* Add buttons to set trim from current `playhead'
	position (#372).

2015-06-13  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.2 released.

2015-06-13  Carl Hetherington  <cth@carlh.net>

	* Fix i18n.

	* Version 2.1.1 released.

2015-06-13  Carl Hetherington  <cth@carlh.net>

	* Version 2.1.0 released.

2015-06-13  Carl Hetherington  <cth@carlh.net>

	* Make ru_RU translation actually work.

	* Update progress bar (sort-of) when finding subtitles (#603).

	* Make sure audio mapping view is scrollable when necessary (#597).

2015-06-12  Carl Hetherington  <cth@carlh.net>

	* Add a close button to the audio plot on Linux (#602).

	* Version 2.0.51 released.

2015-06-12  Carl Hetherington  <cth@carlh.net>

	* New ru_RU translation from Igor Voytovich.

2015-06-12  Carl Hetherington  <cth@carlh.net>

	* Fix for every audio stream being mapped to the DCP when loading
	old films.

2015-06-11  Carl Hetherington  <cth@carlh.net>

	* Fix massive slowdown of direct J2K->DCP encodes (#599).

	* Fix hang on audio analysis in some cases (#598).

	* Fix never-ending encode when XYZ values are clamped (#600).

2015-06-10  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.50 released.

2015-06-10  Carl Hetherington  <cth@carlh.net>

	* Skip audio analysis when there is no audio content (#596).

2015-06-09  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.49 released.

2015-06-04  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.48 released.

2015-06-03  Carl Hetherington  <cth@carlh.net>

	* Various fixes to subtitle rendering, including independent
	x and y scale of text subs (#489).

2015-06-02  Carl Hetherington  <cth@carlh.net>

	* Allow use of all content audio streams, not just
	the selected one.

	* Tweak colour conversion controls so that it's easier
	to use a preset without seeing the details.

2015-05-25  Carl Hetherington  <cth@carlh.net>

	* Block all but alphanumeric characters with a few bits
	of punctuation from DCP names.

	* Improve view of jobs in various ways.

	* Increase the number of images that DCP-o-matic will
	keep around in memory before resorting to pushing them
	to disk.

	* Display DCP container size beside the choice
	in the DCP tab.

	* Try to set up useful default colour conversions
	depending on the type and resolution of content (#565).

2015-05-23  Carl Hetherington  <cth@carlh.net>

	* Fix failure to import some video MXFs (#566).

2015-05-17  Carl Hetherington  <cth@carlh.net>

	* Update DCP name on changing DCP standard (#570).

2015-05-14  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.47 released.

2015-05-13  Carl Hetherington  <cth@carlh.net>

	* Various fixes to embedded image subtitle
	handling.

2015-05-10  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.46 released.

2015-05-10  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.45 released.

2015-05-10  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.44 released.

2015-05-10  Carl Hetherington  <cth@carlh.net>

	* Fix sometimes-missing channel labels on OS X audio analysis.

2015-05-09  Carl Hetherington  <cth@carlh.net>

	* Efficiency fix for cases where there is a lot of processing
	power.

	* Add UTF-8 content type to KDM emails to try to fix #549.

	* Disable OK until a download succeeds in the certificate
	downloader (#404).

2015-05-07  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.43 released.

2015-05-07  Carl Hetherington  <cth@carlh.net>

	* A few small but possibly sigificant correctness fixes
	for subtitles (thanks to dcp_inspect).

2015-05-04  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.42 released.

2015-05-04  Carl Hetherington  <cth@carlh.net>

	* Move restore-default-prefs option (#537).

	* Don't try to update config dialog when its window has been
	destroyed.  Fixes various crashes on Windows (from master).

	* Add a simple content properties dialog (#554).

2015-05-01  carl  <cth@carlh.net>

	* Don't load image files whose names start with ._ as they
	are probably OS X resource files (from master).

2015-04-30  Carl Hetherington  <cth@carlh.net>

	* Copy subtitle fonts to the DCP, and provide
	LiberationSans-Regular as a default Arial equivalent.

2015-04-29  Carl Hetherington  <cth@carlh.net>

	* Make disk space check take account of whether hard links
	are supported by the target filesystem (#511).

	* Allow configuration of the encryption key (from master).

	* Various fixes to bad timeline drag behaviour when
	snapping (from master).

2015-04-29  Carl Hetherington  <cth@carlh.net>

	* Hand-apply 291179175729b62e17a9c322cd27ae134d1310d9,
	8d92cce7d2885afa13ee4cb6f546dbf43942124b and
	c994839239e84a1f62865ed82fdc090900a66b03 from master;
	stop flickering when dragging in the timeline on OS X.

2015-04-22  Carl Hetherington  <cth@carlh.net>

	* Add P3 colour conversion preset.

	* Hand-apply all changes relating to colour specification
	as chromaticity.

2015-04-20  Carl Hetherington  <cth@carlh.net>

	* Hand-apply 47770097cf6a5d7dbbdded8977da5f3de53dfd33;
	single-file hashes.

	* Hand-apply e1d0d24146592e311d46781a1961fe080f6357cf;
	attempt to fix confusion with the JPEG2000 bandwidth
	control when a user enters a value directly rather than
	using the spin arrows.

2015-04-16  Carl Hetherington  <cth@carlh.net>

	* Fix potential OS X crashes due to another incarnation
	of the bizarre multi-thread stringstream bug.

2015-04-15  Carl Hetherington  <cth@carlh.net>

	* Hand-apply 94998e12d117f3f1781dfb1318939debfbf34546 from master;
	add option to restore the default configuration.

2015-04-12  Carl Hetherington  <cth@carlh.net>

	* Hand-apply 69866d9ba972d21375081c313ac245535ac55be9 from master;
	handle removed ratio if it occurs in old files.

	* Hand-apply c0e0b90d987af2586323d4a67bd67330256da51d from master;
	remove 1.37 ratio and set Academy to 1.375.

	* Hand-apply 83f1ea8eacb4d56860ccdb9db5acdf12c6e71dfb from master;
	ellipsize filters strings if it is long.

	* Hand-apply 24ae3a8f0a68529b50c34079e643caf6b9327523 from master;
	use the number of mapped audio channels for the DCP name, not the
	number of DCP channels (#479).

2015-03-25  Carl Hetherington  <cth@carlh.net>

	* Remove scaler settings and just uses SWS_BICUBIC all round.

	* Hand-apply ec3e6abf817b84d589f0782b01f5059dd3bf0953; only allow
	even DCP audio channel counts between 2 and 16 inclusive.

	* Hand-apply 3e3d3e46a74af7b3e6431033c7c80bd058c02cf6update;
	full/play length in the timing panel when the DCP frame rate is
	changed.

2015-03-24  Carl Hetherington  <cth@carlh.net>

	* Hand-apply 31eafa8a121b8d341d198e4fe426ee843cc70167; add a note
	to the timing panel to try to stop people changing the video frame
	rate in the wrong circumstances.

	* Hand-apply e30fd8d; resurrect JSON server code.

	* Hand-apply 7ba9dcdbfe8f0d94ad9887843995c152c45dfe9e from master;
	allow "deletion" of the audio part of a FFmpeg file from the
	timeline; delete unmaps the audio (#316).

2015-02-25  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.41 released.

2015-02-10  Carl Hetherington  <cth@carlh.net>

	* Default to no colour conversion for
	JPEG2000 and DCP content (#445).

2015-02-06  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.40 released.

2015-02-06  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.39 released.

2015-01-31  Carl Hetherington  <cth@carlh.net>

	* Fix error when using audio delay.

2015-01-30  Carl Hetherington  <cth@carlh.net>

	* Fix update of preview when video fade changes.

	* Hopefully fix black borders round the preview in
	some cases.

2015-01-24  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.38 released.

2015-01-23  Carl Hetherington  <cth@carlh.net>

	* Fix update checker.

	* Scan a whole FFmpeg file if no duration is given
	in its header.

	* Fix flicker of SubRip subtitles in some cases.

	* Version 2.0.37 released.

2015-01-21  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.36 released.

2015-01-21  Carl Hetherington  <cth@carlh.net>

	* Fix differentiation between MXF-wrapped subtitles
	and video/audio content.

2015-01-20  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.35 released.

2015-01-20  Carl Hetherington  <cth@carlh.net>

	* More informative error when failing to decode
	JPEG2000 files.

2015-01-15  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.34 released.

2015-01-15  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.33 released.

2015-01-15  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.32 released.

2015-01-15  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.31 released.

2015-01-15  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.30 released.

2015-01-11  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.29 released.

2015-01-11  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.28 released.

2015-01-07  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.27 released.

2015-01-07  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.26 released.

2015-01-04  Carl Hetherington  <cth@carlh.net>

	* Fix loading of SMPTE XML subtitles which
	are not MXF-wrapped.

2014-12-14  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.25 released.

2014-12-11  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.24 released.

2014-12-11  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.23 released.

2014-12-11  Carl Hetherington  <cth@carlh.net>

	* Add a language property to subtitle content and use it
	for the DCP subtitle's language specification.

2014-11-24  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.22 released.

2014-11-24  Carl Hetherington  <cth@carlh.net>

	* Allow import of J2K image sequences.

2014-11-12  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.21 released.

2014-11-12  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.20 released.

2014-11-10  Carl Hetherington  <cth@carlh.net>

	* Guess initial scale from the size of video
	content images, taking pixel aspect ratio into
	account where possible.

2014-11-07  Carl Hetherington  <cth@carlh.net>

	* Add a hint if there is 3D content in a proposed 2D DCP.

2014-11-06  Carl Hetherington  <cth@carlh.net>

	* Basic support for emailing a report of
	a problem (#43).

2014-11-05  Carl Hetherington  <cth@carlh.net>

	* Add a few more hints.

2014-10-30  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.19 released.

2014-10-30  Carl Hetherington  <cth@carlh.net>

	* Fix mis-merge causing complete breakage
	of the main window.

2014-10-28  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.18 released.

2014-10-26  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.17 released.

2014-11-02  Carl Hetherington  <cth@carlh.net>

	* Be more tolerant of some FFmpeg audio decoding errors;
	should fix #352.

2014-10-26  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.16 released.

2014-10-24  Carl Hetherington  <cth@carlh.net>

	* Add a pause button for jobs.

	* Experimental support for bypassing colourspace conversion (#266).

	* Version 1.76.6 released.

2014-10-23  Carl Hetherington  <cth@carlh.net>

	* Version 1.76.5 released.

2014-10-23  Carl Hetherington  <cth@carlh.net>

	* Version 1.76.4 released.

2014-10-23  Carl Hetherington  <cth@carlh.net>

	* Rename 'Add folder' to 'Add image sequence'
	and add some tooltips.

	* Move the "keep video in sequence" button into
	the timeline dialogue.

	* Fix mix-placement of content when using the "Down"
	button to move it.

2014-10-22  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.15 released.

2014-10-22  Carl Hetherington  <cth@carlh.net>

	* Version 1.76.3 released.

2014-10-22  Carl Hetherington  <cth@carlh.net>

	* Fix bug where some files from iTunes would
	be read as being at 90,000fps.

2014-10-20  Carl Hetherington  <cth@carlh.net>

	* Version 1.76.2 released.

2014-10-19  Carl Hetherington  <cth@carlh.net>

	* Add simple note of what audio resampling
	will be done to the audio panel.

2014-10-16  Carl Hetherington  <cth@carlh.net>

	* Version 1.75.2 released.

2014-10-16  Carl Hetherington  <cth@carlh.net>

	* Version 1.75.1 released.

2014-10-16  Carl Hetherington  <cth@carlh.net>

	* Version 1.75.0 released.

2014-10-14  Carl Hetherington  <cth@carlh.net>

	* Version 1.74.3 released.

2014-10-08  Carl Hetherington  <cth@carlh.net>

	* Make server finding more reliable when
	there are more than a few servers.

2014-10-05  Carl Hetherington  <cth@carlh.net>

	* Use a more sensible default position and size for
	.srt subs.

2014-10-03  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.14 released.

2014-10-01  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.13 released.

2014-09-30  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.12 released.

2014-09-30  Carl Hetherington  <cth@carlh.net>

	* Add basic video fade in/out.

2014-09-22  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.11 released.

2014-09-18  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.10 released.

2014-10-08  Carl Hetherington  <cth@carlh.net>

	* Version 1.74.2 released.

2014-10-08  Carl Hetherington  <cth@carlh.net>

	* Version 1.74.1 released.

2014-10-05  Carl Hetherington  <cth@carlh.net>

	* Bump ffmpeg version.

2014-10-06  Carl Hetherington  <cth@carlh.net>

	* Version 1.74.0 released.

2014-10-06  Carl Hetherington  <cth@carlh.net>

	* Version 1.73.9 released.

2014-09-28  Carl Hetherington  <cth@carlh.net>

	* Version 1.73.8 released.

2014-09-28  Carl Hetherington  <cth@carlh.net>

	* Add a few key shortcuts.

2014-09-16  Carl Hetherington  <cth@carlh.net>

	* Version 1.73.7 released.

2014-09-16  Carl Hetherington  <cth@carlh.net>

	* Fix non-update of audio gain when changing selected content.

2014-09-14  Carl Hetherington  <cth@carlh.net>

	* Version 1.73.6 released.

2014-09-14  Carl Hetherington  <cth@carlh.net>

	* Version 1.73.5 released.

2014-09-14  Carl Hetherington  <cth@carlh.net>

	* Update to nl_NL translation from Cherif Ben Brahim.

2014-09-12  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.9 released.

2014-09-12  Carl Hetherington  <cth@carlh.net>

	* Add "re-examine" option to content context menu (#339).

2014-09-11  Carl Hetherington  <cth@carlh.net>

	* Restore encoding optimisations for still-image sources.

	* Add option to re-make signing chain with specified organisation,
	common names etc. (#354)

	* Allow separate X and Y scale for subtitles (#337).

2014-09-10  Carl Hetherington  <cth@carlh.net>

	* Allow DCP names to be created using the ISDCF template and then
	edited afterwards (#401).

	* Fix hidden advanced preferences button in some locales.

	* Version 2.0.8 released.

2014-09-10  Carl Hetherington  <cth@carlh.net>

	* Fix loading of 1.x films.

	* Fix crash on audio analysis in some cases.

2014-09-09  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.7 released.

2014-09-09  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.6 released.

2014-09-09  Carl Hetherington  <cth@carlh.net>

	* Fix missing OS X dependencies.

	* Use a different directory for DCP-o-matic 2
	configuration (not the same as 1.x).

2014-09-08  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.5 released.

	* Fix hidden advanced preferences button in some locales.

2014-09-08  Carl Hetherington  <cth@carlh.net>

	* Fix failure to load Targa files.

2014-09-07  Carl Hetherington  <cth@carlh.net>

	* Put no stretch / no scale in the set of choices for default
	scale to.

	* Fix a few bad fuzzy translations from the preferences dialog.

2014-09-03  Carl Hetherington  <cth@carlh.net>

	* Fix server certificate downloads on OS X (#376).

2014-09-02  Carl Hetherington  <cth@carlh.net>

	* Improve behaviour of batch converter window when it is shrunk (#338).

2014-09-01  Carl Hetherington  <cth@carlh.net>

	* Version 1.73.1 released.

2014-08-31  Carl Hetherington  <cth@carlh.net>

	* Remove configurable CPL <Creator> and use "DCP-o-matic (version) (git)"
	instead.

	* Fix lack of i18n of strings from src/lib/po on OS X.

	* Give a hint when content and container aspect ratios are not
	the same (#392).

	* Add "copy" button to colour conversion presets editor (#399).

	* Allow drag-and-drop of files onto the content list (#395).

2014-08-29  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.4 released.

2014-08-24  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.3 released.

2014-08-24  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.2 released.

2014-08-06  Carl Hetherington  <cth@carlh.net>

	* Version 2.0.1 released.

2014-07-15  Carl Hetherington  <cth@carlh.net>

	* A variety of changes were made on the 2.0 branch
	but not documented in the ChangeLog.  Most sigificantly:

	- DCP import
	- Creation of DCPs with proper XML subtitles
	- Import of .srt and .xml subtitles
	- Audio processing framework (with some basic processors).

2014-03-07  Carl Hetherington  <cth@carlh.net>

	* Add subtitle view.
	* Some improvements to the manual.

2014-08-26  Carl Hetherington  <cth@carlh.net>

	* Version 1.73.0 released.

2014-08-25  Carl Hetherington  <cth@carlh.net>

	* Basic recent files list in the File menu.

2014-08-23  Carl Hetherington  <cth@carlh.net>

	* Version 1.72.12 released.

2014-08-23  Carl Hetherington  <cth@carlh.net>

	* Revert previous use of AVFormatContext::start_time when
	computing the length of video.  I think this is wrong, and
	causes bits to be missed off the end of videos (and other
	problems).

2014-08-20  Carl Hetherington  <cth@carlh.net>

	* Version 1.72.11 released.

2014-08-19  Carl Hetherington  <cth@carlh.net>

	* Attempt to fix random crashes on OS X (especially during encodes)
	thought to be caused by multiple threads using (different) stringstreams
	at the same time; see src/lib/safe_stringstream.
>>>>>>> origin/master

2014-08-09  Carl Hetherington  <cth@carlh.net>

	* Version 1.72.10 released.

2014-08-09  Carl Hetherington  <cth@carlh.net>

	* Version 1.72.8 released.

2014-08-08  Carl Hetherington  <cth@carlh.net>

	* Approximate support for changing timing details of multiple
	bits of content at the same time.

	* Allow removal of multiple bits of content at the same time.

	* Version 1.72.7 released.

2014-08-04  Carl Hetherington  <cth@carlh.net>

	* Add BCC option for KDM emails.

2014-07-29  Carl Hetherington  <cth@carlh.net>

	* Version 1.72.5 released.

2014-07-17  Carl Hetherington  <cth@carlh.net>

	* Fix corrupted text in job descriptions in some cases.

	* Speculative fix for failure to keep Windows
	machines awake during encodes.

2014-07-16  Carl Hetherington  <cth@carlh.net>

	* Version 1.72.4 released.

2014-07-16  Carl Hetherington  <cth@carlh.net>

	* Add default scaling setting to preferences (#384).

	* Version 1.72.3 released.

2014-07-16  Carl Hetherington  <cth@carlh.net>

	* Improve approximate time reports a bit.

	* Make KDM email subject configurable.

	* Updates to de_DE from Carsten Kurz.

	* Limit allowed KDM types based on Interop/SMPTE setting
	of DCP (#385).

	* Updates to fr_FR from Grégoire Ausina.

2014-07-14  Carl Hetherington  <cth@carlh.net>

	* Bump libdcp to get a new version which writes
	<Hash> values to CPLs.

2014-07-10  Carl Hetherington  <cth@carlh.net>

	* Version 1.72.2 released.
>>>>>>> origin/master

2014-07-10  Carl Hetherington  <cth@carlh.net>

	* Try to fix corruption of KDM email setting in
	some cases.

	* Version 1.72.1 released.

2014-07-08  Carl Hetherington  <cth@carlh.net>

	* Fix various problems with seek and content
	being trimmed when its video frame rate is
	overridden.

2014-07-02  Carl Hetherington  <cth@carlh.net>

	* Updated de_DE translation from Carsten Kurz.

2014-06-30  Carl Hetherington  <cth@carlh.net>

	* Version 1.72.0 released.

2014-06-28  Carl Hetherington  <cth@carlh.net>

	* Version 1.71.2 released.

2014-06-28  Carl Hetherington  <cth@carlh.net>

	* Version 1.71.1 released.

2014-06-28  Carl Hetherington  <cth@carlh.net>

	* Fix crash on analysing audio (and possibly DCP creation) with
	resampled content.

2014-06-27  Carl Hetherington  <cth@carlh.net>

	* Version 1.71.0 released.

2014-06-27  Carl Hetherington  <cth@carlh.net>

	* Fix up/down buttons in content list.

2014-06-26  Carl Hetherington  <cth@carlh.net>

	* Version 1.70.1 released.

2014-06-26  Carl Hetherington  <cth@carlh.net>

	* Support different KDM formulations.

	* Allow override of detected video frame rates.

	* Optimisation of uncertain effect to encoder and server
	thread handling.

	* Version 1.70.0 released.

2014-06-25  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.37 released.

2014-06-25  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.36 released.

2014-06-25  Carl Hetherington  <cth@carlh.net>

	* Support pixel format 46 in make_black().

2014-06-24  Carl Hetherington  <cth@carlh.net>

	* Re-assign timeline tracks when things are
	moved about.

2014-06-23  Carl Hetherington  <cth@carlh.net>

	* Try harder to cope with DCP names specified
	already in CamelCase.

	* Add option to CC a KDM email, and add
	$SCREENS and $CINEMA_NAME as variables
	in the email.

2014-06-22  Carl Hetherington  <cth@carlh.net>

	* Reset-to-default button for KDM email text.

	* Version 1.69.35 released.

2014-06-22  Carl Hetherington  <cth@carlh.net>

	* Fix large memory leak with image sources.

2014-06-21  Carl Hetherington  <cth@carlh.net>

	* Move email config into the KDM email page.

	* Version 1.69.34 released.

2014-06-21  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.33 released.

2014-06-21  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.32 released.

2014-06-21  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.31 released.

2014-06-20  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.30 released.

2014-06-20  Carl Hetherington  <cth@carlh.net>

	* Updates to de_DE translation from Carsten Kurz.

2014-06-18  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.29 released.

2014-06-18  Carl Hetherington  <cth@carlh.net>

	* Fix thinko causing incorrect audio sample rates in some cases.

2014-06-15  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.28 released.

2014-06-12  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.27 released.

2014-06-12  Carl Hetherington  <cth@carlh.net>

	* Add Content menu with "scale to fit width" and "scale
	to fit height" options.

	* Version 1.69.26 released.

2014-06-12  Carl Hetherington  <cth@carlh.net>

	* Fix bug where DCP-o-matic does not recreate video after
	subtitles are turned on or off.

2014-06-10  Carl Hetherington  <cth@carlh.net>

	* Support ISDCF naming convention version 9 (#257).

	* Rename DCI to ISDCF when talking about the digital cinema
	naming convention (#362).

	* Fix crash when opening the timeline with no content (#369).

2014-06-09  Carl Hetherington  <cth@carlh.net>

	* Fix server/client with non-RGB24 sources.

	* Version 1.69.25 released.

2014-06-09  Carl Hetherington  <cth@carlh.net>

	* Make audio gain a floating-point value in the UI (#367).

	* Work-around out-of-memory crashes with large start trims (#252).

	* Version 1.69.24 released.

2014-06-06  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.23 released.

2014-06-05  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.22 released.

2014-06-05  Carl Hetherington  <cth@carlh.net>

	* Large speed-up to multi-image source file decoding.

	* Back-port changes from v2 which work out how separate
	audio files should be resampled by looking at the video
	files which are present at the same time.

2014-06-03  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.21 released.

2014-06-03  Carl Hetherington  <cth@carlh.net>

	* Fix bad resampling of separate sound file sources that
	have specified video frame rates.

	* Version 1.69.20 released.

2014-06-03  Carl Hetherington  <cth@carlh.net>

	* Re-calculate and update audio plots when the mapping is changed.

	* Change the -3dB preset to -6dB since we are talking about
	amplitude, not power.

	* Version 1.69.19 released.

2014-06-02  Carl Hetherington  <cth@carlh.net>

	* Empirical hack to prevent over-read of array
	by libswscale; may fix crashes at the start of
	DCP encodes.

2014-05-29  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.18 released.

2014-05-28  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.17 released.

2014-05-28  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.16 released.

2014-05-28  Carl Hetherington  <cth@carlh.net>

	* Rework KDM generation to be about CPLs rather than DCPs,
	and allow specification of any CPL to generate KDMs for.

	Requested-by: Richard Turner

2014-05-27  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.15 released.

2014-05-26  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.14 released.

2014-05-26  Carl Hetherington  <cth@carlh.net>

	* Fix problems with non-zero FFmpeg content start times.

2014-05-24  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.13 released.

2014-05-24  Carl Hetherington  <cth@carlh.net>

	* Fix problems with log setup from config.

2014-05-23  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.12 released.

2014-05-22  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.11 released.

2014-05-21  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.10 released.

2014-05-21  Carl Hetherington  <cth@carlh.net>

	* Tidy up logging a bit and make it configurable from the GUI
	(moving a few things into an Advanced preferences tab at
	the same time).

2014-05-19  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.9 released.

2014-05-19  Carl Hetherington  <cth@carlh.net>

	* Decode image sources in the multi-threaded part
	of the transcoder, rather than the single-threaded.

2014-05-16  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.8 released.

2014-05-16  Carl Hetherington  <cth@carlh.net>

	* Fix various confusions in translations of abbreviated
	channel names (Lc, Rc etc.)

2014-05-14  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.7 released.

2014-05-14  Carl Hetherington  <cth@carlh.net>

	* Bump libdcp to remove checks on PCM MXF edit rates,
	so we can generate strange ones in DCP-o-matic.

2014-05-13  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.6 released.

2014-05-13  Carl Hetherington  <cth@carlh.net>

	* Remove artificial 100fps limit when using
	"any" DCP frame rate.

2014-05-12  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.5 released.

2014-05-12  Carl Hetherington  <cth@carlh.net>

	* Add option to use any DCP frame rate, rather than just
	the "allowed" set.

	* Version 1.69.4 released.

2014-05-12  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.3 released.

2014-05-12  Carl Hetherington  <cth@carlh.net>

	* Use libdcp::raw_convert instead of boost::lexical_cast and
	LocaleGuard, hopefully to fix large numbers being written with
	thousands separators on some locales.

2014-05-10  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.2 released.

2014-05-10  Carl Hetherington  <cth@carlh.net>

	* Fix setup of the libswresample context to work with high channel counts.

2014-05-09  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.1 released.

2014-05-09  Carl Hetherington  <cth@carlh.net>

	* Fix crash on using content with more than 12 audio channels.

	* Re-introduce ffprobe call when adding content.

2014-05-05  Carl Hetherington  <cth@carlh.net>

	* Version 1.69.0 released.

2014-05-02  Carl Hetherington  <cth@carlh.net>

	* Version 1.68.0 released.

2014-04-29  Carl Hetherington  <cth@carlh.net>

	* Version 1.67.1 released.

2014-04-29  Carl Hetherington  <cth@carlh.net>

	* Version 1.67.0 released.

2014-04-27  Carl Hetherington  <cth@carlh.net>

	* Version 1.66.16 released.

2014-04-27  Carl Hetherington  <cth@carlh.net>

	* Add .dpx to the list of acceptable image files.

	* Slightly better handling of uncaught exceptions.

	* Use our own directory picker on 14.04 (as well as 13.04 and 13.10) as
	it appears that the same bug remains.

2014-04-25  Carl Hetherington  <cth@carlh.net>

	* Version 1.66.15 released.

2014-04-25  Carl Hetherington  <cth@carlh.net>

	* Fix subtitle display when the next subtitle is decoded before the previous
	one has finished.

2014-04-24  Carl Hetherington  <cth@carlh.net>

	* Version 1.66.14 released.

2014-04-23  Carl Hetherington  <cth@carlh.net>

	* Version 1.66.13 released.

2014-04-21  Carl Hetherington  <cth@carlh.net>

	* Update to es_ES translation from Manuel AC.

	* Update to fr_FR translation from Thierry Journet.

2014-04-17  Carl Hetherington  <cth@carlh.net>

	* Fix update of the gain control when using the gain calculator
	dialog.

	* Version 1.66.12 released.

2014-04-07  Carl Hetherington  <cth@carlh.net>

	* Version 1.66.11 released.

2014-04-07  Carl Hetherington  <cth@carlh.net>

	* Updated fr_FR translation from Thierry Journet.

2014-04-02  Carl Hetherington  <cth@carlh.net>

	* Version 1.66.10 released.

2014-04-01  Carl Hetherington  <cth@carlh.net>

	* Basic support for separate left/right-eye files or directories
	for 3D.

2014-03-30  Carl Hetherington  <cth@carlh.net>

	* Version 1.66.9 released.

2014-03-30  Carl Hetherington  <cth@carlh.net>

	* Version 1.66.8 released.

	* nl_NL translation from Theo Kooijmans.

2014-03-27  Carl Hetherington  <cth@carlh.net>

	* Auto-save film metadata before starting DCP encode.

2014-03-25  Carl Hetherington  <cth@carlh.net>

	* Add support for downloading Doremi server certificates.

2014-03-24  Carl Hetherington  <cth@carlh.net>

	* Version 1.66.7 released.

2014-03-24  Carl Hetherington  <cth@carlh.net>

	* Fix error on creating DCPs without audio.

2014-03-23  Carl Hetherington  <cth@carlh.net>

	* Version 1.66.6 released.

2014-03-23  Carl Hetherington  <cth@carlh.net>

	* Attempt to fix format string specifier error on Windows.

	* Version 1.66.5 released.

2014-03-22  Carl Hetherington  <cth@carlh.net>

	* Version 1.66.4 released.

2014-03-22  Carl Hetherington  <cth@carlh.net>

	* Allow specification of the video frame rate that a sound file
	was prepared for.

	* Another attempt to fix colour conversion dialog strange behaviour
	on OS X.

2014-03-18  Carl Hetherington  <cth@carlh.net>

	* Version 1.66.3 released.

2014-03-18  Carl Hetherington  <cth@carlh.net>

	* Fix bad rounding of timecodes.

	* Tentative support for 3D from alternate frames of the source.

2014-03-17  Carl Hetherington  <cth@carlh.net>

	* Improve behaviour of the position slider at the end of films.

	* Version 1.66.2 released.

2014-03-17  Carl Hetherington  <cth@carlh.net>

	* Improve appearance of config dialog on OS X.

2014-03-15  Carl Hetherington  <cth@carlh.net>

	* Improve appearance of new film and KDM dialogs on OS X.

	* Fix KDM dialog to predictably set up its initial range to
	a week from now.

	* Remove support for FFmpeg post-processing filters as they apparently
	do not support > 8bpp.  I don't think they are worth the pain of
	quantizing and then telling the user what has happened.

2014-03-12  Carl Hetherington  <cth@carlh.net>

	* Version 1.66.1 released.

2014-03-12  Carl Hetherington  <cth@carlh.net>

	* Hopefully fix i18n on OS X (#324).

2014-03-10  Carl Hetherington  <cth@carlh.net>

	* Version 1.66.0 released.

2014-03-09  Carl Hetherington  <cth@carlh.net>

	* Version 1.65.2 released.

2014-03-09  Carl Hetherington  <cth@carlh.net>

	* Restore old behaviour of "no-stretch" mode with crop.

	* Fix display of no-scale display mode in the player.

2014-03-08  Carl Hetherington  <cth@carlh.net>

	* Version 1.65.1 released.

2014-03-08  Carl Hetherington  <cth@carlh.net>

	* Fix incorrect audio analyses on multiple-stream content.

	* Support for unsigned 8-bit audio (hmm!).

2014-03-06  Carl Hetherington  <cth@carlh.net>

	* Version 1.65.0 released.

2014-03-05  Carl Hetherington  <cth@carlh.net>

	* Version 1.64.19 released.

2014-03-05  Carl Hetherington  <cth@carlh.net>

	* Bump maximum audio channels to 12 so that we can
	(crudely at least) get BsL/BsR.

2014-03-04  Carl Hetherington  <cth@carlh.net>

	* Version 1.64.18 released.

2014-03-04  Carl Hetherington  <cth@carlh.net>

	* Add option to disable all scaling of the input video.

2014-03-03  Carl Hetherington  <cth@carlh.net>

	* Fix rounding of timecodes in at least some cases (#323).

	* Try to prevent OS X from sleeping during DCP encode.

2014-02-26  Carl Hetherington  <cth@carlh.net>

	* Version 1.64.17 released.

2014-02-26  Carl Hetherington  <cth@carlh.net>

	* Fix missing RMS audio analysis plots in some cases.

	* Fix failure to load sound files with
	non-ASCII paths.

2014-02-23  Carl Hetherington  <cth@carlh.net>

	* Version 1.64.16 released.

2014-02-23  Carl Hetherington  <cth@carlh.net>

	* Bump ffmpeg library to git head to fix problems with
	misrecognised frame rates in some MOV files.

2014-02-20  Carl Hetherington  <cth@carlh.net>

	* Version 1.64.15 released.

2014-02-20  Carl Hetherington  <cth@carlh.net>

	* Basic support for 7.1 / HI/VI audio tracks.

2014-02-19  Carl Hetherington  <cth@carlh.net>

	* Add some basic JSON stuff.

2014-02-18  Carl Hetherington  <cth@carlh.net>

	* Version 1.64.14 released.

2014-02-18  Carl Hetherington  <cth@carlh.net>

	* Version 1.64.13 released.

2014-02-12  Carl Hetherington  <cth@carlh.net>

	* Make the batch converter remember its last directory
	for the film picker (#318).

	* Add dcpomatic_batch to OS X .app.

2014-02-11  Carl Hetherington  <cth@carlh.net>

	* Version 1.64.12 released.

2014-02-11  Carl Hetherington  <cth@carlh.net>

	* Be more careful when catching exceptions from KDM creation.

2014-02-10  Carl Hetherington  <cth@carlh.net>

	* Version 1.64.11 released.

2014-02-10  Carl Hetherington  <cth@carlh.net>

	* Version 1.64.10 released.

2014-02-10  Carl Hetherington  <cth@carlh.net>

	* Try to fix Centos RPM dependencies.

	* Version 1.64.9 released.

2014-02-10  Carl Hetherington  <cth@carlh.net>

	* Version 1.64.8 released.

2014-02-09  Carl Hetherington  <cth@carlh.net>

	* Build with a more careful version of libopenjpeg that handles
	out-of-memory conditions slightly better.

	* Possibly fix repeated no route to host errors in some cases.

	* Some small bits of increased low-memory stability.

	* Version 1.64.7 released.

2014-02-08  Carl Hetherington  <cth@carlh.net>

	* Fix exception when seeking with missing content (part of #317).

	* Version 1.64.6 released.

2014-02-08  Carl Hetherington  <cth@carlh.net>

	* Version 1.64.5 released.

2014-02-08  Carl Hetherington  <cth@carlh.net>

	* Version 1.64.4 released.

2014-02-08  Carl Hetherington  <cth@carlh.net>

	* Version 1.64.3 released.

2014-02-08  Carl Hetherington  <cth@carlh.net>

	* Bump libdcp version to get some fixes for Interop XML.

2014-02-07  Carl Hetherington  <cth@carlh.net>

	* Add basic stuff to build RPMs for Centos.

2014-02-05  Carl Hetherington  <cth@carlh.net>

	* Version 1.64.2 released.

2014-02-05  Carl Hetherington  <cth@carlh.net>

	* A variety of fixes to small problems found by Coverity.

2014-02-05  Carl Hetherington  <cth@carlh.net>

	* Version 1.64.1 released.

2014-02-05  Carl Hetherington  <cth@carlh.net>

	* Updates to it_IT translation from William Fanelli.

2014-02-02  Carl Hetherington  <cth@carlh.net>

	* Version 1.64.0 released.

2014-01-29  Carl Hetherington  <cth@carlh.net>

	* Version 1.63.8 released.

2014-01-29  Carl Hetherington  <cth@carlh.net>

	* Add subtitle X offset option.

	* Fix missing subtitles when subtitled content is at a non-zero position.

2014-01-28  Carl Hetherington  <cth@carlh.net>

	* Use Mbit/s instead of the incorrect MBps.

	* Version 1.63.7 released.

2014-01-28  Carl Hetherington  <cth@carlh.net>

	* Try to prevent Windows machines going to sleep during encodes.

	* Add option to not install main program / server on Windows.

2014-01-26  Carl Hetherington  <cth@carlh.net>

	* Change default JPEG2000 bandwith to 100MBps.

	* Updated fr_FR translation from Theirry Journet.

2014-01-24  Carl Hetherington  <cth@carlh.net>

	* Try to fix repeatedly-reported exceptions.

2014-01-23  Carl Hetherington  <cth@carlh.net>

	* Version 1.63.6 released.

2014-01-23  Carl Hetherington  <cth@carlh.net>

	* Fix recovery of DCP encoding after a crash with a 3D DCP.

2014-01-21  Carl Hetherington  <cth@carlh.net>

	* Version 1.63.5 released.

2014-01-21  Carl Hetherington  <cth@carlh.net>

	* Potentially major fix for bad A/V sync.

2014-01-19  Carl Hetherington  <cth@carlh.net>

	* Version 1.63.4 released.

2014-01-19  Carl Hetherington  <cth@carlh.net>

	* Updated sv_SE translation from Adam Klotblixt.

2014-01-15  Carl Hetherington  <cth@carlh.net>

	* Version 1.63.3 released.

2014-01-15  Carl Hetherington  <cth@carlh.net>

	* Hopefully fix badly-labelled MXFs when in Interop mode.

2014-01-14  Carl Hetherington  <cth@carlh.net>

	* Version 1.63.2 released.

2014-01-14  Carl Hetherington  <cth@carlh.net>

	* Fix problems with adding new soundtracks to FFmpeg content with
	no audio track.

	* Updated de_DE translation from Markus Raab.

	* Version 1.63.1 released.

2014-01-14  Carl Hetherington  <cth@carlh.net>

	* Try to fix subtitle problems when the video frame rate is being changed
	from content to DCP.

2014-01-13  Carl Hetherington  <cth@carlh.net>

	* Change 4:3 and 5:3 ratios to be precise rather than 1.33:1 and 1.66:1, and
	also tweak 1.19:1 (#306).

	* Version 1.63.0 released.

2014-01-12  Carl Hetherington  <cth@carlh.net>

	* Fix crashes when using -3dB options in locales with a , decimal separator.

	* Version 1.62.3 released.

2014-01-11  Carl Hetherington  <cth@carlh.net>

	* Hopefully fix error on restarting a cancelled transcode job
	on Windows.

2014-01-10  Carl Hetherington  <cth@carlh.net>

	* Version 1.62.2 released.

2014-01-10  Carl Hetherington  <cth@carlh.net>

	* Version 1.62.1 released.

2014-01-10  Carl Hetherington  <cth@carlh.net>

	* Version 1.62.0 released.

2014-01-10  Carl Hetherington  <cth@carlh.net>

	* Try to stop the queue of things to write filling up excessively
	on fast CPUs.

	* Try to fix double "are you sure" prompt on quitting with active jobs.

	* Version 1.61.2 released.

2014-01-09  Carl Hetherington  <cth@carlh.net>

	* Version 1.61.1 released.

2014-01-09  Carl Hetherington  <cth@carlh.net>

	* Version 1.61.0 released.

2014-01-09  Carl Hetherington  <cth@carlh.net>

	* Hopefully fix somewhat inexplicable inability of Windows to open
	new files on top of old ones in some circumstances (with audio
	MXFs).

	* Version 1.60 released.

2014-01-09  Carl Hetherington  <cth@carlh.net>

	* More fixes for slow-downs on fast computers.

2014-01-08  Carl Hetherington  <cth@carlh.net>

	* Version 1.59 released.

2014-01-07  Carl Hetherington  <cth@carlh.net>

	* Version 1.58 released.

2014-01-07  Carl Hetherington  <cth@carlh.net>

	* Fix Windows build of FFmpeg to link against zlib, which fixes parsing
	of some .mov files.

	* Very primitive check-for-updates feature added.

	* Allow still-moving-image sources to have their frame rate specified.

2014-01-06  Carl Hetherington  <cth@carlh.net>

	* Basics of per-channel audio gain (#247).

	* Give a warning on make DCP if it seems unlikely that the disk
	will have enough space to store the finished DCP (#92).

	* Make sure forced languages override the environment for gettext()
	as well as wxWidgets' i18n code (#108).

	* Bump libdcp version to get a fix for VOLINDEX/ASSETMAP file extensions
	with interop (#206).

	* Fix subtitle colouring (#152).

	* Fix mis-timed subtitles when there is a non-zero video PTS offset.

	* Remove seemingly unnecessary checks on image directories.

	* Leave DCP directory creation until the last minute to help
	avoid half-eaten directories being left around (#174).

2014-01-05  Carl Hetherington  <cth@carlh.net>

	* Version 1.57 released.

2014-01-05  Carl Hetherington  <cth@carlh.net>

	* Use _fseeki64 on Windows when reading content files.

	* Various small fixes to i18n.

2014-01-03  Carl Hetherington  <cth@carlh.net>

	* Version 1.56 released.

2014-01-03  Carl Hetherington  <cth@carlh.net>

	* Version 1.55 released.

2014-01-03  Carl Hetherington  <cth@carlh.net>

	* New de_DE translation from Markus Raab.

	* Work-around mysterious call of pure virtual method inside boost.

2014-01-01  Carl Hetherington  <cth@carlh.net>

	* Bump ffmpeg version.

2013-12-30  Carl Hetherington  <cth@carlh.net>

	* Version 1.54 released.

2013-12-30  Carl Hetherington  <cth@carlh.net>

	* Put catches around a few threads which could have uncaught exceptions.

	* Add nascent dcpomatic_create command-line program to create films.

2013-12-29  Carl Hetherington  <cth@carlh.net>

	* Version 1.53 released.

2013-12-29  Carl Hetherington  <cth@carlh.net>

	* Fix failure to load content from directories with non-Latin names.

2013-12-28  Carl Hetherington  <cth@carlh.net>

	* Speculative fix for "find missing" not working on OS X (#255).

	* Fix failure to load films with missing still image content (#300).

2013-12-27  Carl Hetherington  <cth@carlh.net>

	* Fix non-update of video information on changing DCP resolution (#299).

	* Version 1.52 released.

2013-12-27  Carl Hetherington  <cth@carlh.net>

	* More speculative fixes for 4K.

2013-12-23  Carl Hetherington  <cth@carlh.net>

	* Version 1.51 released.

2013-12-23  Carl Hetherington  <cth@carlh.net>

	* A couple of potential fixes for 4K.

	* Version 1.50 released.

2013-12-23  Carl Hetherington  <cth@carlh.net>

	* Version 1.49 released.

2013-12-23  Carl Hetherington  <cth@carlh.net>

	* Version 1.48 released.

2013-12-23  Carl Hetherington  <cth@carlh.net>

	* Add TLS/SSL support to KDM email sending.

2013-12-23  Carl Hetherington  <cth@carlh.net>

	* Version 1.47 released.

2013-12-23  Carl Hetherington  <cth@carlh.net>

	* Add $START_TIME and $END_TIME as variables for the KDM email.

	* Add top/bottom option for 3D frames.

2013-12-20  Carl Hetherington  <cth@carlh.net>

	* Add configuration option for default audio delay (#276).

	* Version 1.46 released.

2013-12-19  Carl Hetherington  <cth@carlh.net>

	* Version 1.45 released.

2013-12-19  Carl Hetherington  <cth@carlh.net>

	* Bump libdcp version again for a crash fix for 32-bit Windows,
	and also for problems generating certificate chains.

2013-12-18  Carl Hetherington  <cth@carlh.net>

	* Version 1.44 released.

2013-12-18  Carl Hetherington  <cth@carlh.net>

	* Bump libdcp version again for a fix to XML validity for 3D.

	* Version 1.43 released.

2013-12-18  Carl Hetherington  <cth@carlh.net>

	* Update libdcp version to get fix for 3D IntrinsicDuration.

	* Fix progress reporting when making 3D DCPs.

	* Fix non-update of display when changing video frame type (2D,
	3D left/right etc.)

	* Restore video information in video tab when using still images.

	* Hopefully fix exception on new film in some strange cases.

2013-12-09  Carl Hetherington  <cth@carlh.net>

	* Version 1.42 released.

2013-12-09  Carl Hetherington  <cth@carlh.net>

	* Fix make_black for pixel format 7 (#288).

2013-12-08  Carl Hetherington  <cth@carlh.net>

	* Fix display update when removing content (#281).

2013-12-07  Carl Hetherington  <cth@carlh.net>

	* Version 1.41 released.

2013-12-05  Carl Hetherington  <cth@carlh.net>

	* Improve the correctness of lengths reported by sound files to fix
	short DCPs when using non-DCI-rate sound files with stills.

2013-12-04  Carl Hetherington  <cth@carlh.net>

	* Make signatures optional (#273).

	* Only do scale/crop/window/subtitle overlay if a frame is going
	to be encoded for the DCP.

	* Several optimisations to video processing, which should
	speed up the player a bit.

2013-12-03  Carl Hetherington  <cth@carlh.net>

	* Add "play length" control to avoid having to do arithmetic to
	get end-trims right in some cases (#261).

2013-12-02  Carl Hetherington  <cth@carlh.net>

	* Fix breakage to adding multiple files at the same time.

	* Fix crash on double-click of "show audio" button (#278).

	* Version 1.40 released.

2013-12-02  Carl Hetherington  <cth@carlh.net>

	* Fix problems with FFmpeg files that have all-zero stream IDs.

	* Fix crash on checking non-existing frame info
	files.

	* Fix erroneous disabling of timing panel with
	audio-only sources.

2013-11-30  Carl Hetherington  <cth@carlh.net>

	* Version 1.39 released.

2013-11-30  Carl Hetherington  <cth@carlh.net>

	* Fix windows build.

2013-11-29  Carl Hetherington  <cth@carlh.net>

	* Version 1.38 released.

2013-11-29  Carl Hetherington  <cth@carlh.net>

	* Add option to join input files together
	to help with multiple VOB files from DVDs.

	* Fix build for 32-bit versions of OS X.

2013-11-27  Carl Hetherington  <cth@carlh.net>

	* Version 1.37 released.

2013-11-27  Carl Hetherington  <cth@carlh.net>

	* Version 1.36 released.

2013-11-27  Carl Hetherington  <cth@carlh.net>

	* Version 1.35 released.

2013-11-26  Carl Hetherington  <cth@carlh.net>

	* Updated fr_FR translation from Lilian Lefranc.

	* A whole load of fixes for lots of bugs when handling filenames
	using non-Latin characters on Windows.

2013-11-22  Carl Hetherington  <cth@carlh.net>

	* Version 1.34 released.

2013-11-22  Carl Hetherington  <cth@carlh.net>

	* Fix both OS X and Windows installers.

2013-11-21  Carl Hetherington  <cth@carlh.net>

	* Version 1.33 released.

2013-11-21  Carl Hetherington  <cth@carlh.net>

	* Fix Ubuntu 13.04 build.

2013-11-20  Carl Hetherington  <cth@carlh.net>

	* Version 1.32 released.

2013-11-20  Carl Hetherington  <cth@carlh.net>

	* Version 1.31 released.

2013-11-20  Carl Hetherington  <cth@carlh.net>

	* Add primitive hints dialogue box.

2013-11-17  Carl Hetherington  <cth@carlh.net>

	* Fix specified-server discovery.

	* Version 1.30 released.

2013-11-17  Carl Hetherington  <cth@carlh.net>

	* Speculative fix for servers crashing with different
	locales to clients.

2013-11-16  Carl Hetherington  <cth@carlh.net>

	* Bump bundled FFmpeg version to current git master.

	* Fix erroneous reset of visible channels in audio
	level dialog when changing gain.

2013-11-15  Carl Hetherington  <cth@carlh.net>

	* Use 2 decimal places for gamma controls instead
	of 1.

2013-11-14  Carl Hetherington  <cth@carlh.net>

	* Support modification of certain properties when
	there are several selected pieces of content.

	* Add server configuration back in.

2013-11-12  Carl Hetherington  <cth@carlh.net>

	* Version 1.29 released.

2013-11-12  Carl Hetherington  <cth@carlh.net>

	* Fix bad_alloc exception on audio analysis (and
	probably elsewhere).

2013-11-11  Carl Hetherington  <cth@carlh.net>

	* Version 1.28 released.

2013-11-11  Carl Hetherington  <cth@carlh.net>

	* Somewhat speculative fix for slow-downs and
	large memory consumption with multi-content playlists.

2013-11-10  Carl Hetherington  <cth@carlh.net>

	* Hopefully get rid of spurious black lines around
	preview.

2013-11-08  Carl Hetherington  <carl@ubuntu>

	* Fix strange behaviour of J2K bandwidth control
	on 32-bit Linux.

2013-11-07  Carl Hetherington  <cth@carlh.net>

	* Open file dialog starts in the configured DCP directory,
	if one exists (#70).

2013-11-06  Carl Hetherington  <cth@carlh.net>

	* Support pixel format 30 (#254).

2013-11-06  Carl Hetherington  <cth@carlh.net>

	* Version 1.27 released.

2013-11-06  Carl Hetherington  <cth@carlh.net>

	* Various server-related tidying up; servers are
	now auto-detected only (the configuration for
	them has been removed).

2013-11-06  Carl Hetherington  <cth@carlh.net>

	* Version 1.26 released.

2013-11-05  Carl Hetherington  <cth@carlh.net>

	* Auto-detect encoding servers on the local
	subnet(s).

	* Tweak verbosity of command-line encoding servers.

2013-11-04  Carl Hetherington  <cth@carlh.net>

	* Version 1.25 released.

2013-10-29  Carl Hetherington  <cth@carlh.net>

	* Improve performance when start-trimming
	large files.

	* Fix audio problems when start-trimming.

2013-10-28  Carl Hetherington  <cth@carlh.net>

	* Version 1.24 released.

2013-10-28  Carl Hetherington  <cth@carlh.net>

	* Fix failure to reload configuration on
	some non-English locales.

2013-10-26  Carl Hetherington  <cth@carlh.net>

	* Version 1.23 released.

2013-10-25  Carl Hetherington  <cth@carlh.net>

	* Version 1.22 released.

2013-10-24  Carl Hetherington  <cth@carlh.net>

	* Support sources that require repeat of more than
	1 extra frame.

2013-10-23  Carl Hetherington  <cth@carlh.net>

	* Version 1.21 released.

2013-10-23  Carl Hetherington  <cth@carlh.net>

	* Use our own directory picker on Ubuntu 13.10 as well
	as Ubuntu 13.04 as it seems similarly broken.

2013-10-22  Carl Hetherington  <cth@carlh.net>

	* Version 1.20 released.

2013-10-22  Carl Hetherington  <cth@carlh.net>

	* Allow films to be loaded when content is missing,
	and then that content can be re-found.

2013-10-21  Carl Hetherington  <cth@carlh.net>

	* Version 1.19 released.

2013-10-21  Carl Hetherington  <cth@carlh.net>

	* Fix Rec. 709 gammas (from Lilian Lefranc)

2013-10-20  Carl Hetherington  <cth@carlh.net>

	* Allow specification of subtitle language even if DVD-o-matic
	isn't providing the subtitles.

2013-10-20  Carl Hetherington  <cth@carlh.net>

	* Version 1.18 released.

2013-10-19  Carl Hetherington  <cth@carlh.net>

	* Fix non-saving of colour transform presets.

	* Some improvements in progress reporting, especially
	for long encodes.

2013-10-18  Carl Hetherington  <cth@carlh.net>

	* Fix bug with incorrect validity times given to KDMs.

2013-10-17  Carl Hetherington  <cth@carlh.net>

	* Fix Make DCP menu option sensitivity (#230).

	* Forward-port fix from master; use 1000000 rather
	than 1e6 for J2K bandwidth arithmetic to ensure
	that it's done with integers.

2013-10-16  Carl Hetherington  <cth@carlh.net>

	* Version 1.17 released.

2013-10-16  Carl Hetherington  <cth@carlh.net>

	* Hopefully fix crash on closing preferences window
	when ~/.config/dcpomatic does not exist.

	* Allow specification of the DCP to make KDMs for,
	in case there is more than one.

	* Speed up response to some settings changes
	(e.g. crop) (#196).

2013-10-15  Carl Hetherington  <cth@carlh.net>

	* Version 1.16 released.

2013-10-15  Carl Hetherington  <cth@carlh.net>

	* Restore up/down buttons for simple content time
	movements.

	* Include film title in KDM filenames.

	* Allow no-stretch scaling like in DVD-o-matic.

2013-10-14  Carl Hetherington  <cth@carlh.net>

	* Add Rec. 709 colour conversion preset using
	Wolfgang Woehl's matrix.

2013-10-14  Carl Hetherington  <cth@carlh.net>

	* Version 1.15 released.

2013-10-14  Carl Hetherington  <cth@carlh.net>

	* Fix some crashes in the KDM dialogue when coming
	out of the add screen without giving a certificate.

	* Really fix libltdl search path on OS X.

2013-10-13  Carl Hetherington  <cth@carlh.net>

	* Version 1.14 released.

2013-10-12  Carl Hetherington  <cth@carlh.net>

	* Add some missing libraries to the OS X build.

	* Fix libltdl search path on OS X.

2013-10-12  Carl Hetherington  <cth@carlh.net>

	* Version 1.13 released.

2013-10-12  Carl Hetherington  <cth@carlh.net>

	* Fix linux static build.

2013-10-11  Carl Hetherington  <cth@carlh.net>

	* Version 1.12 released.

2013-10-11  Carl Hetherington  <cth@carlh.net>

	* Fix failure to create signer certificates
	on Windows.

2013-10-10  Carl Hetherington  <cth@carlh.net>

	* Basic snapping in the timeline.

	* Various improvements to dcpomatic_kdm.

2013-10-10  Carl Hetherington  <cth@carlh.net>

	* Version 1.11 released.

2013-10-10  Carl Hetherington  <cth@carlh.net>

	* libdcp fix to incorrect signature digests.

2013-10-09  Carl Hetherington  <cth@carlh.net>

	* Version 1.10 released.

2013-10-09  Carl Hetherington  <cth@carlh.net>

	* Add some missing Windows dependencies.

2013-10-09  Carl Hetherington  <cth@carlh.net>

	* Version 1.09 released.

2013-10-09  Carl Hetherington  <cth@carlh.net>

	* Bump libdcp version to pull in speculative fix
	for AuthorizedDeviceList thumbprints in KDMs.

2013-10-09  Carl Hetherington  <cth@carlh.net>

	* Version 1.08 released.

2013-10-09  Carl Hetherington  <cth@carlh.net>

	* Fix problems with crypto stuff on Windows.

2013-10-08  Carl Hetherington  <cth@carlh.net>

	* Version 1.07 released.

2013-10-01  Carl Hetherington  <cth@carlh.net>

	* Version 1.06 released.

2013-09-19  Carl Hetherington  <cth@carlh.net>

	* Version 1.05 released.

2013-09-17  Carl Hetherington  <cth@carlh.net>

	* Version 1.04 released.

2013-09-09  Carl Hetherington  <cth@carlh.net>

	* Version 1.03 released.

2013-09-02  Carl Hetherington  <cth@carlh.net>

	* Add missing boost datetime dependency
	to debian control files.

2013-08-30  Carl Hetherington  <cth@carlh.net>

	* Version 1.02 released.

2013-08-29  Carl Hetherington  <cth@carlh.net>

	* Version 1.01 released.

2013-08-29  Carl Hetherington  <cth@carlh.net>

	* Restore server/client operation (#202).

	* Fix strange rounding of still image durations (#204).

	* Remove limitation to numbers and periods in the
	server host name dialogue box.

	* Fix stuck-at-99% progress meters (#184).

	* Version 1.01beta1 released.

2013-08-29  Carl Hetherington  <cth@carlh.net>

	* Fix emissions of large chunks of silence when
	analysing audio in some cases.

	* Use my @dcpomatic.com email address for now,
	rather than a non-existant mailing list.

2013-08-28  Carl Hetherington  <cth@carlh.net>

	* Initial DCP-o-matic release.
